\                   PCI expansion PROM header
\        00000000:                              PCI magic number (55AA): 55AA
\        00000002:                   Processor architecture unique data: 004A
\        00000004:      Reserved for processor architecture-unique data: 00000000 00000000 00000000 00000000 00000000  ....................
\        00000018:               Pointer to start of PCI Data Structure: 002A
\        0000001A:                                            Pad bytes: 0000
\                                             Variable length pad bytes:
\        0000001C: 00000000 694D5A10 69AD2800 0079                                          ....IMZ.I.(..Y
\                   PCI Data Structure (4 byte aligned)
\        0000002A:                              Signature string (PCIR): PCIR
\        0000002E:                         Vendor ID = config reg 00/01: 105A
\        00000030:                         Device ID = config reg 02/03: 4D69
\        00000032:                        Pointer to Vital Product Data: 0000
\        00000034:                            PCI Data Structure length: 0020
\        00000036:                          PCI Data Structure revision: 00 = PCI 2.2
\        00000037:                     Class Code = config reg 09/0a/0b: 018085 (Class code / Subclass code / Programming interface code)
\        0000003A:                            Image Length in 512 bytes: 007F (* 0x200 = 0xFE00)
\        0000003C:                          Revision Level of Code/Data: 0000
\        0000003E:                                            Code Type: 01 = Open Firmware
\        0000003F:                                            Indicator: 80 = last image
\        00000040:                                             Reserved: 0000
\                                             Variable length pad bytes:
\        00000042: 00000000 00000000                                                        ........

hex

tokenizer[ 0000 ]tokenizer set-rev-level
\ tokenizer[ 004A ]tokenizer pci-architecture
\ tokenizer[ 002A ]tokenizer pci-data-structure-start
\ tokenizer[ 0020 ]tokenizer pci-data-structure-length
tokenizer[ 105A 4D69 018085 ]tokenizer pci-header
\ tokenizer[ FE00 ]tokenizer rom-size

fcode-version2																	\					[0f1]
\ format:    0x08
\ checksum:  0x72c0 (ok)
\ len:       0xfd1a (64794 bytes)
hex

external
variable variable_800															\ (800)				[0b5 0b9]
variable variable_801															\ (801)				[0b5 0b9]
variable variable_802															\ (802)				[0b5 0b9]
variable variable_803															\ (803)				[0b5 0b9]
variable variable_804															\ (804)				[0b5 0b9]
variable variable_805															\ (805)				[0b5 0b9]
variable variable_806															\ (806)				[0b5 0b9]
variable variable_807															\ (807)				[0b5 0b9]
variable variable_808															\ (808)				[0b5 0b9]
variable variable_809															\ (809)				[0b5 0b9]
variable variable_80a															\ (80a)				[0b5 0b9]
variable variable_80b															\ (80b)				[0b5 0b9]
variable variable_124															\ (124)				[0b5 0b9]
variable variable_80c															\ (80c)				[0b5 0b9]
variable variable_80d															\ (80d)				[0b5 0b9]
variable variable_80e															\ (80e)				[0b5 0b9]
variable variable_80f															\ (80f)				[0b5 0b9]
variable variable_810															\ (810)				[0b5 0b9]
variable variable_811															\ (811)				[0b5 0b9]
variable variable_812															\ (812)				[0b5 0b9]
variable variable_813															\ (813)				[0b5 0b9]
variable variable_814															\ (814)				[0b5 0b9]
variable variable_815															\ (815)				[0b5 0b9]
variable variable_816															\ (816)				[0b5 0b9]

: colon_definition_function_817													\ (817)				[0b5 0b7]
	l!																			\					[073]
	;																			\					[0c2]


: colon_definition_function_818													\ (818)				[0b5 0b7]
	l@																			\					[06e]
	;																			\					[0c2]


: colon_definition_function_819													\ (819)				[0b5 0b7]
	variable_805																\ (805)				[805]
	colon_definition_function_818												\ (818)				[818]
	;																			\					[0c2]


: colon_definition_function_81a													\ (81a)				[0b5 0b7]
	variable_804																\ (804)				[804]
	colon_definition_function_818												\ (818)				[818]
	;																			\					[0c2]


: colon_definition_function_81b													\ (81b)				[0b5 0b7]
	variable_803																\ (803)				[803]
	colon_definition_function_818												\ (818)				[818]
	;																			\					[0c2]


: colon_definition_function_81c													\ (81c)				[0b5 0b7]
	variable_801																\ (801)				[801]
	colon_definition_function_818												\ (818)				[818]
	;																			\					[0c2]


: colon_definition_function_81d													\ (81d)				[0b5 0b7]
	variable_800																\ (800)				[800]
	colon_definition_function_818												\ (818)				[818]
	;																			\					[0c2]


: colon_definition_function_81e													\ (81e)				[0b5 0b7]
	variable_802																\ (802)				[802]
	colon_definition_function_818												\ (818)				[818]
	;																			\					[0c2]


: colon_definition_function_81f													\ (81f)				[0b5 0b7]
	variable_802																\ (802)				[802]
	colon_definition_function_817												\ (817)				[817]
	;																			\					[0c2]


: colon_definition_function_820													\ (820)				[0b5 0b7]
	variable_809																\ (809)				[809]
	colon_definition_function_818												\ (818)				[818]
	;																			\					[0c2]


: colon_definition_function_821													\ (821)				[0b5 0b7]
	variable_809																\ (809)				[809]
	colon_definition_function_817												\ (817)				[817]
	;																			\					[0c2]


: colon_definition_function_822													\ (822)				[0b5 0b7]
	variable_80a																\ (80a)				[80a]
	colon_definition_function_818												\ (818)				[818]
	;																			\					[0c2]


: colon_definition_function_823													\ (823)				[0b5 0b7]
	variable_80a																\ (80a)				[80a]
	colon_definition_function_817												\ (817)				[817]
	;																			\					[0c2]


: colon_definition_function_824													\ (824)				[0b5 0b7]
	variable_80b																\ (80b)				[80b]
	colon_definition_function_818												\ (818)				[818]
	;																			\					[0c2]


: colon_definition_function_825													\ (825)				[0b5 0b7]
	variable_80b																\ (80b)				[80b]
	colon_definition_function_817												\ (817)				[817]
	;																			\					[0c2]


: colon_definition_function_826													\ (826)				[0b5 0b7]
	variable_816																\ (816)				[816]
	colon_definition_function_817												\ (817)				[817]
	;																			\					[0c2]


: colon_definition_function_827													\ (827)				[0b5 0b7]
	variable_816																\ (816)				[816]
	colon_definition_function_818												\ (818)				[818]
	;																			\					[0c2]


: colon_definition_function_828													\ (828)				[0b5 0b7]
	variable_80f																\ (80f)				[80f]
	colon_definition_function_817												\ (817)				[817]
	;																			\					[0c2]


: colon_definition_function_829													\ (829)				[0b5 0b7]
	variable_80f																\ (80f)				[80f]
	colon_definition_function_818												\ (818)				[818]
	;																			\					[0c2]


: colon_definition_function_82a													\ (82a)				[0b5 0b7]
	variable_810																\ (810)				[810]
	colon_definition_function_817												\ (817)				[817]
	;																			\					[0c2]


: colon_definition_function_82b													\ (82b)				[0b5 0b7]
	variable_810																\ (810)				[810]
	colon_definition_function_818												\ (818)				[818]
	;																			\					[0c2]


: colon_definition_function_82c													\ (82c)				[0b5 0b7]
	dup																			\					[047]
	colon_definition_function_818												\ (818)				[818]
	1+																			\					[0a6 01e]
	swap																		\					[049]
	colon_definition_function_817												\ (817)				[817]
	;																			\					[0c2]


: colon_definition_function_82d													\ (82d)				[0b5 0b7]
	over																		\					[048]
	colon_definition_function_818												\ (818)				[818]
	+																			\					[01e]
	swap																		\					[049]
	colon_definition_function_817												\ (817)				[817]
	;																			\					[0c2]


: colon_definition_function_82e													\ (82e)				[0b5 0b7]
	u/mod																		\					[02b]
	nip																			\					[04d]
	;																			\					[0c2]


: colon_definition_function_82f													\ (82f)				[0b5 0b7]
	103b																		\					[010]
	alloc-mem																	\					[08b]
	! variable_800																\ (800)				[0c3 800]
	4e8																			\					[010]
	alloc-mem																	\					[08b]
	! variable_801																\ (801)				[0c3 801]
	4ec																			\					[010]
	alloc-mem																	\					[08b]
	colon_definition_function_81f												\ (81f)				[81f]
	4ec																			\					[010]
	alloc-mem																	\					[08b]
	! variable_803																\ (803)				[0c3 803]
	4ec																			\					[010]
	alloc-mem																	\					[08b]
	! variable_804																\ (804)				[0c3 804]
	4004																		\					[010]
	alloc-mem																	\					[08b]
	! variable_805																\ (805)				[0c3 805]
	colon_definition_function_81d												\ (81d)				[81d]
	103b																		\					[010]
	blank																		\					[0a9 079]
	colon_definition_function_81c												\ (81c)				[81c]
	4e8																			\					[010]
	erase																		\					[0a5 079]
	colon_definition_function_81e												\ (81e)				[81e]
	4ec																			\					[010]
	erase																		\					[0a5 079]
	colon_definition_function_81b												\ (81b)				[81b]
	4ec																			\					[010]
	erase																		\					[0a5 079]
	colon_definition_function_81a												\ (81a)				[81a]
	4ec																			\					[010]
	erase																		\					[0a5 079]
	colon_definition_function_819												\ (819)				[819]
	4004																		\					[010]
	erase																		\					[0a5 079]
	;																			\					[0c2]


: colon_definition_function_830													\ (830)				[0b5 0b7]
	colon_definition_function_81d												\ (81d)				[81d]
	103b																		\					[010]
	free-mem																	\					[08c]
	colon_definition_function_81c												\ (81c)				[81c]
	4e8																			\					[010]
	free-mem																	\					[08c]
	colon_definition_function_81e												\ (81e)				[81e]
	4ec																			\					[010]
	free-mem																	\					[08c]
	colon_definition_function_81b												\ (81b)				[81b]
	4ec																			\					[010]
	free-mem																	\					[08c]
	colon_definition_function_81a												\ (81a)				[81a]
	4ec																			\					[010]
	free-mem																	\					[08c]
	colon_definition_function_819												\ (819)				[819]
	4004																		\					[010]
	free-mem																	\					[08c]
	;																			\					[0c2]


: colon_definition_function_831													\ (831)				[0b5 0b7]
	mask																		\					[124]
	colon_definition_function_818												\ (818)				[818]
	1																			\					[0a6]
	rshift																		\					[028]
	mask																		\					[124]
	colon_definition_function_817												\ (817)				[817]
	mask																		\					[124]
	colon_definition_function_818												\ (818)				[818]
	0=																			\					[034]
	if																			\ (0x1e)			[014]
		over																	\					[048]
		colon_definition_function_818											\ (818)				[818]
		c@																		\					[071]
		0ff																		\					[010]
		and																		\					[023]
		swap																	\					[049]
		dup																		\					[047]
		-rot																	\					[04b]
		colon_definition_function_817											\ (817)				[817]
		over																	\					[048]
		colon_definition_function_82c											\ (82c)				[82c]
		80																		\					[010]
		mask																	\					[124]
		colon_definition_function_817											\ (817)				[817]
	then																		\					[0b2]
	nip																			\					[04d]
	colon_definition_function_818												\ (818)				[818]
	mask																		\					[124]
	colon_definition_function_818												\ (818)				[818]
	and																			\					[023]
	0=																			\					[034]
	if																			\ (0x7)				[014]
		0																		\					[0a5]
	else																		\ (0x5)				[013 0b2]
		1																		\					[0a6]
	then																		\					[0b2]
	;																			\					[0c2]


: colon_definition_function_832													\ (832)				[0b5 0b7]
	0																			\					[0a5]
	colon_definition_function_81a												\ (81a)				[81a]
	4e8																			\					[010]
	+																			\					[01e]
	colon_definition_function_817												\ (817)				[817]
	1																			\					[0a6]
	13a																			\					[010]
	?do																			\ (0x2f)			[018]
		i																		\					[019]
		colon_definition_function_81c											\ (81c)				[81c]
		i																		\					[019]
		1-																		\					[0a6 01f]
		la+																		\					[060]
		colon_definition_function_817											\ (817)				[817]
		i																		\					[019]
		1-																		\					[0a6 01f]
		colon_definition_function_81e											\ (81e)				[81e]
		i																		\					[019]
		la+																		\					[060]
		colon_definition_function_817											\ (817)				[817]
		1																		\					[0a6]
		colon_definition_function_81b											\ (81b)				[81b]
		i																		\					[019]
		la+																		\					[060]
		colon_definition_function_817											\ (817)				[817]
		colon_definition_function_81a											\ (81a)				[81a]
		i																		\					[019]
		la+																		\					[060]
		colon_definition_function_818											\ (818)				[818]
		1+																		\					[0a6 01e]
		colon_definition_function_81a											\ (81a)				[81a]
		i																		\					[019]
		1-																		\					[0a6 01f]
		la+																		\					[060]
		colon_definition_function_817											\ (817)				[817]
		-1																		\					[0a4]
	+loop																		\ (0xffd5)			[016]
	;																			\					[0c2]


: colon_definition_function_833													\ (833)				[0b5 0b7]
	0																			\					[0a5]
	colon_definition_function_81b												\ (81b)				[81b]
	colon_definition_function_817												\ (817)				[817]
	0																			\					[0a5]
	colon_definition_function_819												\ (819)				[819]
	4000																		\					[010]
	+																			\					[01e]
	colon_definition_function_817												\ (817)				[817]
	1																			\					[0a6]
	1000																		\					[010]
	?do																			\ (0x27)			[018]
		colon_definition_function_819											\ (819)				[819]
		i																		\					[019]
		1-																		\					[0a6 01f]
		la+																		\					[060]
		dup																		\					[047]
		4																		\					[010]
		+																		\					[01e]
		colon_definition_function_818											\ (818)				[818]
		2710																	\					[010]
		i																		\					[019]
		0c8																		\					[010]
		+																		\					[01e]
		colon_definition_function_82e											\ (82e)				[82e]
		+																		\					[01e]
		swap																	\					[049]
		colon_definition_function_817											\ (817)				[817]
		-1																		\					[0a4]
	+loop																		\ (0xffdd)			[016]
	;																			\					[0c2]


: colon_definition_function_834													\ (834)				[0b5 0b7]
	colon_definition_function_81a												\ (81a)				[81a]
	colon_definition_function_818												\ (818)				[818]
	7fff																		\					[010]
	>=																			\					[042]
	if																			\ (0x2d)			[014]
		0																		\					[0a5]
		1																		\					[0a6]
		13a																		\					[010]
		?do																		\ (0x1e)			[018]
			dup																	\					[047]
			colon_definition_function_81a										\ (81a)				[81a]
			i																	\					[019]
			la+																	\					[060]
			colon_definition_function_817										\ (817)				[817]
			colon_definition_function_81b										\ (81b)				[81b]
			i																	\					[019]
			la+																	\					[060]
			dup																	\					[047]
			colon_definition_function_818										\ (818)				[818]
			1+																	\					[0a6 01e]
			1																	\					[0a6]
			rshift																\					[028]
			dup																	\					[047]
			-rot																\					[04b]
			swap																\					[049]
			colon_definition_function_817										\ (817)				[817]
			+																	\					[01e]
			-1																	\					[0a4]
		+loop																	\ (0xffe6)			[016]
		colon_definition_function_81a											\ (81a)				[81a]
		colon_definition_function_817											\ (817)				[817]
	then																		\					[0b2]
	;																			\					[0c2]


: colon_definition_function_835													\ (835)				[0b5 0b7]
	1																			\					[0a6]
	over																		\					[048]
	?do																			\ (0x1f)			[018]
		drop																	\					[046]
		i																		\					[019]
		colon_definition_function_81b											\ (81b)				[81b]
		i																		\					[019]
		la+																		\					[060]
		dup																		\					[047]
		4																		\					[010]
		-																		\					[01f]
		colon_definition_function_818											\ (818)				[818]
		swap																	\					[049]
		colon_definition_function_818											\ (818)				[818]
		<>																		\					[03d]
		if																		\ (0x5)				[014]
			unloop																\					[089]
			exit																\					[033]
		then																	\					[0b2]
		-1																		\					[0a4]
	+loop																		\ (0xffe5)			[016]
	;																			\					[0c2]


: colon_definition_function_836													\ (836)				[0b5 0b7]
	colon_definition_function_834												\ (834)				[834]
	dup																			\					[047]
	colon_definition_function_835												\ (835)				[835]
	2dup																		\					[053]
	>																			\					[03b]
	if																			\ (0x37)			[014]
		colon_definition_function_81e											\ (81e)				[81e]
		over																	\					[048]
		la+																		\					[060]
		dup																		\					[047]
		colon_definition_function_818											\ (818)				[818]
		colon_definition_function_81e											\ (81e)				[81e]
		4																		\					[010]
		pick																	\					[04e]
		la+																		\					[060]
		dup																		\					[047]
		colon_definition_function_818											\ (818)				[818]
		dup																		\					[047]
		4																		\					[010]
		pick																	\					[04e]
		colon_definition_function_817											\ (817)				[817]
		-rot																	\					[04b]
		over																	\					[048]
		swap																	\					[049]
		colon_definition_function_817											\ (817)				[817]
		rot																		\					[04a]
		drop																	\					[046]
		colon_definition_function_81c											\ (81c)				[81c]
		swap																	\					[049]
		la+																		\					[060]
		3																		\					[0a8]
		pick																	\					[04e]
		swap																	\					[049]
		colon_definition_function_817											\ (817)				[817]
		colon_definition_function_81c											\ (81c)				[81c]
		swap																	\					[049]
		la+																		\					[060]
		over																	\					[048]
		swap																	\					[049]
		colon_definition_function_817											\ (817)				[817]
	then																		\					[0b2]
	nip																			\					[04d]
	colon_definition_function_81b												\ (81b)				[81b]
	over																		\					[048]
	la+																			\					[060]
	colon_definition_function_82c												\ (82c)				[82c]
	0																			\					[0a5]
	swap																		\					[049]
	?do																			\ (0x16)			[018]
		i																		\					[019]
		0=																		\					[034]
		if																		\ (0x5)				[014]
			unloop																\					[089]
			exit																\					[033]
		then																	\					[0b2]
		colon_definition_function_81a											\ (81a)				[81a]
		i																		\					[019]
		1-																		\					[0a6 01f]
		la+																		\					[060]
		colon_definition_function_82c											\ (82c)				[82c]
		-1																		\					[0a4]
	+loop																		\ (0xffee)			[016]
	;																			\					[0c2]


: colon_definition_function_837													\ (837)				[0b5 0b7]
	begin																		\					[0b1]
		2dup																	\					[053]
		<																		\					[03a]
		while																	\ (0x24)			[014]
			2dup																\					[053]
			+																	\					[01e]
			2																	\					[0a7]
			/																	\					[021]
			3																	\					[0a8]
			pick																\					[04e]
			over																\					[048]
			la+																	\					[060]
			colon_definition_function_818										\ (818)				[818]
			5																	\					[010]
			pick																\					[04e]
			>																	\					[03b]
			if																	\ (0xa)				[014]
				1+																\					[0a6 01e]
				-rot															\					[04b]
				nip																\					[04d]
			else																\ (0x5)				[013 0b2]
				nip																\					[04d]
			then																\					[0b2]
	repeat																		\ (0xffdc)			[013 0b2]
	2swap																		\					[055]
	3drop																		\					[046 052]
	;																			\					[0c2]


: colon_definition_function_838													\ (838)				[0b5 0b7]
	11																			\					[010]
	0																			\					[0a5]
	?do																			\ (0x1a)			[018]
		2																		\					[0a7]
		pick																	\					[04e]
		2																		\					[0a7]
		pick																	\					[04e]
		colon_definition_function_831											\ (831)				[831]
		4																		\					[010]
		pick																	\					[04e]
		tuck																	\					[04c]
		colon_definition_function_818											\ (818)				[818]
		dup																		\					[047]
		+																		\					[01e]
		+																		\					[01e]
		swap																	\					[049]
		colon_definition_function_817											\ (817)				[817]
	loop																		\ (0xffea)			[015]
	2drop																		\					[052]
	2drop																		\					[052]
	;																			\					[0c2]


: colon_definition_function_839													\ (839)				[0b5 0b7]
	begin																		\					[0b1]
		1																		\					[0a6]
		while																	\ (0xa7)			[014]
			over																\					[048]
			colon_definition_function_818										\ (818)				[818]
			10000																\					[010]
			>=																	\					[042]
			if																	\ (0x23)			[014]
				5																\					[010]
				pick															\					[04e]
				0ffff0000														\					[010]
				colon_definition_function_82d									\ (82d)				[82d]
				over															\					[048]
				0ffff0000														\					[010]
				colon_definition_function_82d									\ (82d)				[82d]
				dup																\					[047]
				0ffff0000														\					[010]
				colon_definition_function_82d									\ (82d)				[82d]
			else																\ (0x4e)			[013 0b2]
				over															\					[048]
				colon_definition_function_818									\ (818)				[818]
				8000															\					[010]
				>=																\					[042]
				over															\					[048]
				colon_definition_function_818									\ (818)				[818]
				18000															\					[010]
				<=																\					[043]
				and																\					[023]
				if																\ (0x23)			[014]
					5															\					[010]
					pick														\					[04e]
					0ffff8000													\					[010]
					colon_definition_function_82d								\ (82d)				[82d]
					over														\					[048]
					0ffff8000													\					[010]
					colon_definition_function_82d								\ (82d)				[82d]
					dup															\					[047]
					0ffff8000													\					[010]
					colon_definition_function_82d								\ (82d)				[82d]
				else															\ (0x16)			[013 0b2]
					dup															\					[047]
					colon_definition_function_818								\ (818)				[818]
					10000														\					[010]
					>															\					[03b]
					if															\ (0x8)				[014]
						3drop													\					[046 052]
						3drop													\					[046 052]
						exit													\					[033]
					then														\					[0b2]
				then															\					[0b2]
			then																\					[0b2]
			over																\					[048]
			dup																	\					[047]
			colon_definition_function_818										\ (818)				[818]
			colon_definition_function_82d										\ (82d)				[82d]
			dup																	\					[047]
			dup																	\					[047]
			colon_definition_function_818										\ (818)				[818]
			colon_definition_function_82d										\ (82d)				[82d]
			4																	\					[010]
			pick																\					[04e]
			4																	\					[010]
			pick																\					[04e]
			colon_definition_function_831										\ (831)				[831]
			6																	\					[010]
			pick																\					[04e]
			tuck																\					[04c]
			colon_definition_function_818										\ (818)				[818]
			dup																	\					[047]
			+																	\					[01e]
			+																	\					[01e]
			swap																\					[049]
			colon_definition_function_817										\ (817)				[817]
	repeat																		\ (0xff5a)			[013 0b2]
	;																			\					[0c2]


: colon_definition_function_83a													\ (83a)				[0b5 0b7]
	dup																			\					[047]
	3																			\					[0a8]
	pick																		\					[04e]
	colon_definition_function_818												\ (818)				[818]
	-																			\					[01f]
	1+																			\					[0a6 01e]
	colon_definition_function_81a												\ (81a)				[81a]
	colon_definition_function_818												\ (818)				[818]
	*																			\					[020]
	1-																			\					[0a6 01f]
	2swap																		\					[055]
	2dup																		\					[053]
	colon_definition_function_818												\ (818)				[818]
	swap																		\					[049]
	colon_definition_function_818												\ (818)				[818]
	-																			\					[01f]
	3																			\					[0a8]
	pick																		\					[04e]
	swap																		\					[049]
	dup																			\					[047]
	-rot																		\					[04b]
	colon_definition_function_82e												\ (82e)				[82e]
	colon_definition_function_81a												\ (81a)				[81a]
	1																			\					[0a6]
	13a																			\					[010]
	colon_definition_function_837												\ (837)				[837]
	2rot																		\					[056]
	2drop																		\					[052]
	colon_definition_function_81a												\ (81a)				[81a]
	over																		\					[048]
	1-																			\					[0a6 01f]
	la+																			\					[060]
	colon_definition_function_818												\ (818)				[818]
	2																			\					[0a7]
	pick																		\					[04e]
	*																			\					[020]
	colon_definition_function_81a												\ (81a)				[81a]
	colon_definition_function_818												\ (818)				[818]
	colon_definition_function_82e												\ (82e)				[82e]
	4																			\					[010]
	pick																		\					[04e]
	colon_definition_function_818												\ (818)				[818]
	+																			\					[01e]
	3																			\					[0a8]
	pick																		\					[04e]
	colon_definition_function_817												\ (817)				[817]
	colon_definition_function_81a												\ (81a)				[81a]
	over																		\					[048]
	la+																			\					[060]
	colon_definition_function_818												\ (818)				[818]
	2																			\					[0a7]
	pick																		\					[04e]
	*																			\					[020]
	colon_definition_function_81a												\ (81a)				[81a]
	colon_definition_function_818												\ (818)				[818]
	colon_definition_function_82e												\ (82e)				[82e]
	4																			\					[010]
	pick																		\					[04e]
	colon_definition_function_818												\ (818)				[818]
	+																			\					[01e]
	4																			\					[010]
	pick																		\					[04e]
	colon_definition_function_817												\ (817)				[817]
	nip																			\					[04d]
	nip																			\					[04d]
	nip																			\					[04d]
	;																			\					[0c2]


: colon_definition_function_83b													\ (83b)				[0b5 0b7]
	dup																			\					[047]
	3																			\					[0a8]
	pick																		\					[04e]
	colon_definition_function_818												\ (818)				[818]
	-																			\					[01f]
	1+																			\					[0a6 01e]
	colon_definition_function_819												\ (819)				[819]
	colon_definition_function_818												\ (818)				[818]
	*																			\					[020]
	1-																			\					[0a6 01f]
	2swap																		\					[055]
	2dup																		\					[053]
	colon_definition_function_818												\ (818)				[818]
	swap																		\					[049]
	colon_definition_function_818												\ (818)				[818]
	-																			\					[01f]
	3																			\					[0a8]
	pick																		\					[04e]
	swap																		\					[049]
	dup																			\					[047]
	-rot																		\					[04b]
	colon_definition_function_82e												\ (82e)				[82e]
	colon_definition_function_819												\ (819)				[819]
	1																			\					[0a6]
	1000																		\					[010]
	colon_definition_function_837												\ (837)				[837]
	1-																			\					[0a6 01f]
	2rot																		\					[056]
	2drop																		\					[052]
	colon_definition_function_819												\ (819)				[819]
	over																		\					[048]
	la+																			\					[060]
	colon_definition_function_818												\ (818)				[818]
	2																			\					[0a7]
	pick																		\					[04e]
	*																			\					[020]
	colon_definition_function_819												\ (819)				[819]
	colon_definition_function_818												\ (818)				[818]
	colon_definition_function_82e												\ (82e)				[82e]
	4																			\					[010]
	pick																		\					[04e]
	colon_definition_function_818												\ (818)				[818]
	+																			\					[01e]
	3																			\					[0a8]
	pick																		\					[04e]
	colon_definition_function_817												\ (817)				[817]
	colon_definition_function_819												\ (819)				[819]
	over																		\					[048]
	1+																			\					[0a6 01e]
	la+																			\					[060]
	colon_definition_function_818												\ (818)				[818]
	2																			\					[0a7]
	pick																		\					[04e]
	*																			\					[020]
	colon_definition_function_819												\ (819)				[819]
	colon_definition_function_818												\ (818)				[818]
	colon_definition_function_82e												\ (82e)				[82e]
	4																			\					[010]
	pick																		\					[04e]
	colon_definition_function_818												\ (818)				[818]
	+																			\					[01e]
	4																			\					[010]
	pick																		\					[04e]
	colon_definition_function_817												\ (817)				[817]
	nip																			\					[04d]
	nip																			\					[04d]
	nip																			\					[04d]
	;																			\					[0c2]


: colon_definition_function_83c													\ (83c)				[0b5 0b7]
	dup																			\					[047]
	colon_definition_function_818												\ (818)				[818]
	colon_definition_function_81d												\ (81d)				[81d]
	+																			\					[01e]
	rot																			\					[04a]
	swap																		\					[049]
	c!																			\					[075]
	dup																			\					[047]
	colon_definition_function_818												\ (818)				[818]
	1+																			\					[0a6 01e]
	0fff																		\					[010]
	and																			\					[023]
	swap																		\					[049]
	colon_definition_function_817												\ (817)				[817]
	;																			\					[0c2]


: colon_definition_function_83d													\ (83d)				[0b5 0b7]
	0																			\					[0a5]
	variable_80c																\ (80c)				[80c]
	colon_definition_function_817												\ (817)				[817]
	0																			\					[0a5]
	mask																		\					[124]
	colon_definition_function_817												\ (817)				[817]
	0																			\					[0a5]
	variable_806																\ (806)				[806]
	colon_definition_function_817												\ (817)				[817]
	20000																		\					[010]
	variable_807																\ (807)				[807]
	colon_definition_function_817												\ (817)				[817]
	0																			\					[0a5]
	variable_808																\ (808)				[808]
	colon_definition_function_817												\ (817)				[817]
	colon_definition_function_824												\ (824)				[824]
	colon_definition_function_826												\ (826)				[826]
	colon_definition_function_820												\ (820)				[820]
	! variable_80d																\ (80d)				[0c3 80d]
	colon_definition_function_82f												\ (82f)				[82f]
	variable_808																\ (808)				[808]
	variable_80d																\ (80d)				[80d]
	variable_80c																\ (80c)				[80c]
	mask																		\					[124]
	colon_definition_function_838												\ (838)				[838]
	colon_definition_function_832												\ (832)				[832]
	colon_definition_function_833												\ (833)				[833]
	0fc4																		\					[010]
	variable_811																\ (811)				[811]
	colon_definition_function_817												\ (817)				[817]
	0																			\					[0a5]
	variable_810																\ (810)				[810]
	colon_definition_function_817												\ (817)				[817]
	begin																		\					[0b1]
		colon_definition_function_82b											\ (82b)				[82b]
		colon_definition_function_822											\ (822)				[822]
		<																		\					[03a]
		while																	\ (0xeb)			[014]
			variable_806														\ (806)				[806]
			variable_807														\ (807)				[807]
			variable_808														\ (808)				[808]
			colon_definition_function_818										\ (818)				[818]
			colon_definition_function_83a										\ (83a)				[83a]
			variable_80e														\ (80e)				[80e]
			colon_definition_function_817										\ (817)				[817]
			variable_808														\ (808)				[808]
			variable_80d														\ (80d)				[80d]
			variable_80c														\ (80c)				[80c]
			mask																\					[124]
			variable_806														\ (806)				[806]
			variable_807														\ (807)				[807]
			colon_definition_function_839										\ (839)				[839]
			colon_definition_function_81e										\ (81e)				[81e]
			variable_80e														\ (80e)				[80e]
			colon_definition_function_818										\ (818)				[818]
			la+																	\					[060]
			colon_definition_function_818										\ (818)				[818]
			colon_definition_function_828										\ (828)				[828]
			variable_80e														\ (80e)				[80e]
			colon_definition_function_818										\ (818)				[818]
			colon_definition_function_836										\ (836)				[836]
			colon_definition_function_829										\ (829)				[829]
			100																	\					[010]
			<																	\					[03a]
			if																	\ (0x21)			[014]
				colon_definition_function_829									\ (829)				[829]
				0ff																\					[010]
				and																\					[023]
				variable_816													\ (816)				[816]
				colon_definition_function_818									\ (818)				[818]
				variable_816													\ (816)				[816]
				colon_definition_function_82c									\ (82c)				[82c]
				c!																\					[075]
				colon_definition_function_829									\ (829)				[829]
				variable_811													\ (811)				[811]
				colon_definition_function_83c									\ (83c)				[83c]
				variable_810													\ (810)				[810]
				colon_definition_function_82c									\ (82c)				[82c]
			else																\ (0x91)			[013 0b2]
				variable_806													\ (806)				[806]
				variable_807													\ (807)				[807]
				variable_808													\ (808)				[808]
				colon_definition_function_818									\ (818)				[818]
				colon_definition_function_83b									\ (83b)				[83b]
				variable_812													\ (812)				[812]
				colon_definition_function_817									\ (817)				[817]
				variable_808													\ (808)				[808]
				variable_80d													\ (80d)				[80d]
				variable_80c													\ (80c)				[80c]
				mask															\					[124]
				variable_806													\ (806)				[806]
				variable_807													\ (807)				[807]
				colon_definition_function_839									\ (839)				[839]
				variable_811													\ (811)				[811]
				colon_definition_function_818									\ (818)				[818]
				variable_812													\ (812)				[812]
				colon_definition_function_818									\ (818)				[818]
				-																\					[01f]
				1-																\					[0a6 01f]
				0fff															\					[010]
				and																\					[023]
				variable_813													\ (813)				[813]
				colon_definition_function_817									\ (817)				[817]
				colon_definition_function_829									\ (829)				[829]
				0fd																\					[010]
				-																\					[01f]
				variable_814													\ (814)				[814]
				colon_definition_function_817									\ (817)				[817]
				0																\					[0a5]
				variable_815													\ (815)				[815]
				colon_definition_function_817									\ (817)				[817]
				begin															\					[0b1]
					variable_815												\ (815)				[815]
					colon_definition_function_818								\ (818)				[818]
					variable_814												\ (814)				[814]
					colon_definition_function_818								\ (818)				[818]
					<															\					[03a]
					while														\ (0x40)			[014]
						colon_definition_function_81d							\ (81d)				[81d]
						variable_813											\ (813)				[813]
						colon_definition_function_818							\ (818)				[818]
						variable_815											\ (815)				[815]
						colon_definition_function_818							\ (818)				[818]
						+														\					[01e]
						0fff													\					[010]
						and														\					[023]
						+														\					[01e]
						c@														\					[071]
						0ff														\					[010]
						and														\					[023]
						colon_definition_function_828							\ (828)				[828]
						colon_definition_function_829							\ (829)				[829]
						0ff														\					[010]
						and														\					[023]
						variable_816											\ (816)				[816]
						colon_definition_function_818							\ (818)				[818]
						variable_816											\ (816)				[816]
						colon_definition_function_82c							\ (82c)				[82c]
						c!														\					[075]
						colon_definition_function_829							\ (829)				[829]
						variable_811											\ (811)				[811]
						colon_definition_function_83c							\ (83c)				[83c]
						variable_810											\ (810)				[810]
						colon_definition_function_82c							\ (82c)				[82c]
						variable_815											\ (815)				[815]
						colon_definition_function_82c							\ (82c)				[82c]
				repeat															\ (0xffb9)			[013 0b2]
			then																\					[0b2]
	repeat																		\ (0xff12)			[013 0b2]
	colon_definition_function_830												\ (830)				[830]
	;																			\					[0c2]


: colon_definition_function_83e													\ (83e)				[0b5 0b7]
	" active-package"															\					[012]
	$find																		\					[0cb]
	if																			\ (0x6)				[014]
		execute																	\					[01d]
		-1																		\					[0a4]
		exit																	\					[033]
	then																		\					[0b2]
	2drop																		\					[052]
	" current-device"															\					[012]
	$find																		\					[0cb]
	if																			\ (0x6)				[014]
		execute																	\					[01d]
		-1																		\					[0a4]
		exit																	\					[033]
	then																		\					[0b2]
	2drop																		\					[052]
	0																			\					[0a5]
	;																			\					[0c2]


: colon_definition_function_83f													\ (83f)				[0b5 0b7]
	" driver,FirmTek,MacOS,PowerPC"												\					[012]
	colon_definition_function_83e												\ (83e)				[83e]
	0=																			\					[034]
	if																			\ (0x5)				[014]
		2drop																	\					[052]
		exit																	\					[033]
	then																		\					[0b2]
	get-package-property														\					[21f]
	if																			\ (0x4)				[014]
		exit																	\					[033]
	then																		\					[0b2]
	drop																		\					[046]
	dup																			\					[047]
	colon_definition_function_818												\ (818)				[818]
	dup																			\					[047]
	0																			\					[0a5]
	<>																			\					[03d]
	if																			\ (0x56)			[014]
		colon_definition_function_823											\ (823)				[823]
		4																		\					[010]
		+																		\					[01e]
		colon_definition_function_821											\ (821)				[821]
		" create driver-buffer"													\					[012]
		evaluate																\					[0cd]
		colon_definition_function_822											\ (822)				[822]
		allot																	\					[0a5 02f 0a5 018 0a5 0d0 015]
		" driver-buffer"														\					[012]
		evaluate																\					[0cd]
		colon_definition_function_825											\ (825)				[825]
		colon_definition_function_824											\ (824)				[824]
		0																		\					[0a5]
		<>																		\					[03d]
		if																		\ (0xb)				[014]
			colon_definition_function_824										\ (824)				[824]
			colon_definition_function_822										\ (822)				[822]
			erase																\					[0a5 079]
			colon_definition_function_83d										\ (83d)				[83d]
		then																	\					[0b2]
	else																		\ (0x5)				[013 0b2]
		2drop																	\					[052]
	then																		\					[0b2]
	" driver,FirmTek,MacOS,PowerPC"												\					[012]
	delete-property																\					[21e]
	;																			\					[0c2]





headerless
-1 value value_800_-1															\ (800 -1)			[0a4 0b5 0b8]

: colon_definition_function_801													\ (801)				[0b5 0b7]
	my-space																	\					[103]
	9																			\					[010]
	+																			\					[01e]
	dup																			\					[047]
	" config-b@"																\					[012]
	$call-parent																\					[209]
	5																			\					[010]
	or																			\					[024]
	swap																		\					[049]
	" config-b!"																\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: colon_definition_function_802													\ (802)				[0b5 0b7]
	" map-out"																	\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: colon_definition_function_803													\ (803)				[0b5 0b7]
	8																			\					[010]
	<<																			\					[027]
	my-space																	\					[103]
	0fffff8ff																	\					[010]
	and																			\					[023]
	4																			\					[010]
	+																			\					[01e]
	or																			\					[024]
	dup																			\					[047]
	" config-w@"																\					[012]
	$call-parent																\					[209]
	7																			\					[010]
	or																			\					[024]
	swap																		\					[049]
	" config-w!"																\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: colon_definition_function_804													\ (804)				[0b5 0b7]
	8																			\					[010]
	<<																			\					[027]
	my-space																	\					[103]
	0fffff8ff																	\					[010]
	and																			\					[023]
	4																			\					[010]
	+																			\					[01e]
	or																			\					[024]
	dup																			\					[047]
	" config-w@"																\					[012]
	$call-parent																\					[209]
	1																			\					[0a6]
	invert																		\					[026]
	and																			\					[023]
	swap																		\					[049]
	" config-w!"																\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: colon_definition_function_805													\ (805)				[0b5 0b7]
	8																			\					[010]
	<<																			\					[027]
	my-space																	\					[103]
	0fffff8ff																	\					[010]
	and																			\					[023]
	or																			\					[024]
	+																			\					[01e]
	dup																			\					[047]
	" config-l@"																\					[012]
	$call-parent																\					[209]
	1																			\					[0a6]
	or																			\					[024]
	swap																		\					[049]
	" config-l!"																\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: colon_definition_function_806													\ (806)				[0b5 0b7]
	encode-int																	\					[111]
	encode+																		\					[112]
	;																			\					[0c2]

0 value value_807_0																\ (807 0)			[0a5 0b5 0b8]
0 value value_808_0																\ (808 0)			[0a5 0b5 0b8]
0 value value_809_0																\ (809 0)			[0a5 0b5 0b8]
0 value value_80a_0																\ (80a 0)			[0a5 0b5 0b8]
0 value value_80b_0																\ (80b 0)			[0a5 0b5 0b8]
0 value value_80c_0																\ (80c 0)			[0a5 0b5 0b8]

: colon_definition_function_80d													\ (80d)				[0b5 0b7]
	0																			\					[0a5]
	colon_definition_function_803												\ (803)				[803]
	10																			\					[010]
	0																			\					[0a5]
	colon_definition_function_805												\ (805)				[805]
	14																			\					[010]
	0																			\					[0a5]
	colon_definition_function_805												\ (805)				[805]
	18																			\					[010]
	0																			\					[0a5]
	colon_definition_function_805												\ (805)				[805]
	1c																			\					[010]
	0																			\					[0a5]
	colon_definition_function_805												\ (805)				[805]
	20																			\					[010]
	0																			\					[0a5]
	colon_definition_function_805												\ (805)				[805]
	24																			\					[010]
	0																			\					[0a5]
	colon_definition_function_805												\ (805)				[805]
	30																			\					[010]
	0																			\					[0a5]
	colon_definition_function_805												\ (805)				[805]
	;																			\					[0c2]


: colon_definition_function_80e													\ (80e)				[0b5 0b7]
	" assigned-addresses"														\					[012]
	get-my-property																\					[21a]
	if																			\ (0x23)			[014]
		." missing ASSIGNED ADDRESSES"											\					[012 090]
		cr																		\					[092]
		abort																	\					[216]
	then																		\					[0b2]
	begin																		\					[0b1]
		dup																		\					[047]
		0>																		\					[038]
		while																	\ (0xca)			[014]
			decode-phys															\					[128]
			dup																	\					[047]
			0ff																	\					[010]
			and																	\					[023]
			case																\					[0c4]
				10																\					[010]
				of																\ (0x1d)			[01c]
					10															\					[010]
					" map-in"													\					[012]
					$call-parent												\					[209]
					to value_807_0												\ (807 0)			[0c3 807]
					decode-int													\					[21b]
					drop														\					[046]
					decode-int													\					[21b]
					drop														\					[046]
				endof															\ (0x99)			[0c6]
				18																\					[010]
				of																\ (0x1d)			[01c]
					10															\					[010]
					" map-in"													\					[012]
					$call-parent												\					[209]
					to value_808_0												\ (808 0)			[0c3 808]
					decode-int													\					[21b]
					drop														\					[046]
					decode-int													\					[21b]
					drop														\					[046]
				endof															\ (0x76)			[0c6]
				14																\					[010]
				of																\ (0x1d)			[01c]
					10															\					[010]
					" map-in"													\					[012]
					$call-parent												\					[209]
					to value_809_0												\ (809 0)			[0c3 809]
					decode-int													\					[21b]
					drop														\					[046]
					decode-int													\					[21b]
					drop														\					[046]
				endof															\ (0x53)			[0c6]
				1c																\					[010]
				of																\ (0x1d)			[01c]
					10															\					[010]
					" map-in"													\					[012]
					$call-parent												\					[209]
					to value_80a_0												\ (80a 0)			[0c3 80a]
					decode-int													\					[21b]
					drop														\					[046]
					decode-int													\					[21b]
					drop														\					[046]
				endof															\ (0x30)			[0c6]
				20																\					[010]
				of																\ (0x1d)			[01c]
					10															\					[010]
					" map-in"													\					[012]
					$call-parent												\					[209]
					to value_80b_0												\ (80b 0)			[0c3 80b]
					decode-int													\					[21b]
					drop														\					[046]
					decode-int													\					[21b]
					drop														\					[046]
				endof															\ (0xd)				[0c6]
				>r																\					[030]
				3drop															\					[046 052]
				decode-int														\					[21b]
				drop															\					[046]
				decode-int														\					[21b]
				drop															\					[046]
				r>																\					[031]
			endcase																\					[0c5]
	repeat																		\ (0xffffff36)		[013 0b2]
	value_807_0																	\ (807 0)			[807]
	encode-int																	\					[111]
	" TFile-Addr0"																\					[012]
	property																	\					[110]
	value_808_0																	\ (808 0)			[808]
	encode-int																	\					[111]
	" TFile-Addr1"																\					[012]
	property																	\					[110]
	value_809_0																	\ (809 0)			[809]
	encode-int																	\					[111]
	" DevCtl-Addr0"																\					[012]
	property																	\					[110]
	value_80a_0																	\ (80a 0)			[80a]
	encode-int																	\					[111]
	" DevCtl-Addr1"																\					[012]
	property																	\					[110]
	value_80b_0																	\ (80b 0)			[80b]
	encode-int																	\					[111]
	" BMBase-Addr"																\					[012]
	property																	\					[110]
	;																			\					[0c2]


: colon_definition_function_80f													\ (80f)				[0b5 0b7]
	colon_definition_function_801												\ (801)				[801]
	colon_definition_function_80d												\ (80d)				[80d]
	colon_definition_function_80e												\ (80e)				[80e]
	value_807_0																	\ (807 0)			[807]
	value_809_0																	\ (809 0)			[809]
	2+																			\					[0a7 01e]
	value_808_0																	\ (808 0)			[808]
	value_80a_0																	\ (80a 0)			[80a]
	2+																			\					[0a7 01e]
	;																			\					[0c2]


: colon_definition_function_810													\ (810)				[0b5 0b7]
	0																			\					[0a5]
	colon_definition_function_804												\ (804)				[804]
	2-																			\					[0a7 01f]
	10																			\					[010]
	colon_definition_function_802												\ (802)				[802]
	10																			\					[010]
	colon_definition_function_802												\ (802)				[802]
	2-																			\					[0a7 01f]
	10																			\					[010]
	colon_definition_function_802												\ (802)				[802]
	10																			\					[010]
	colon_definition_function_802												\ (802)				[802]
	;																			\					[0c2]

colon_definition_function_801													\ (801)				[801]
my-address																		\					[102]
my-space																		\					[103]
encode-phys																		\					[113]
0																				\					[0a5]
colon_definition_function_806													\ (806)				[806]
0																				\					[0a5]
colon_definition_function_806													\ (806)				[806]
my-address																		\					[102]
my-space																		\					[103]
1000010																			\					[010]
+																				\					[01e]
encode-phys																		\					[113]
encode+																			\					[112]
0																				\					[0a5]
colon_definition_function_806													\ (806)				[806]
10																				\					[010]
colon_definition_function_806													\ (806)				[806]
my-address																		\					[102]
my-space																		\					[103]
1000014																			\					[010]
+																				\					[01e]
encode-phys																		\					[113]
encode+																			\					[112]
0																				\					[0a5]
colon_definition_function_806													\ (806)				[806]
10																				\					[010]
colon_definition_function_806													\ (806)				[806]
my-address																		\					[102]
my-space																		\					[103]
1000018																			\					[010]
+																				\					[01e]
encode-phys																		\					[113]
encode+																			\					[112]
0																				\					[0a5]
colon_definition_function_806													\ (806)				[806]
10																				\					[010]
colon_definition_function_806													\ (806)				[806]
my-address																		\					[102]
my-space																		\					[103]
100001c																			\					[010]
+																				\					[01e]
encode-phys																		\					[113]
encode+																			\					[112]
0																				\					[0a5]
colon_definition_function_806													\ (806)				[806]
10																				\					[010]
colon_definition_function_806													\ (806)				[806]
my-address																		\					[102]
my-space																		\					[103]
1000020																			\					[010]
+																				\					[01e]
encode-phys																		\					[113]
encode+																			\					[112]
0																				\					[0a5]
colon_definition_function_806													\ (806)				[806]
10																				\					[010]
colon_definition_function_806													\ (806)				[806]
my-address																		\					[102]
my-space																		\					[103]
2000024																			\					[010]
+																				\					[01e]
encode-phys																		\					[113]
encode+																			\					[112]
0																				\					[0a5]
colon_definition_function_806													\ (806)				[806]
10000																			\					[010]
colon_definition_function_806													\ (806)				[806]
my-address																		\					[102]
my-space																		\					[103]
2000030																			\					[010]
+																				\					[01e]
encode-phys																		\					[113]
encode+																			\					[112]
0																				\					[0a5]
colon_definition_function_806													\ (806)				[806]
10000																			\					[010]
colon_definition_function_806													\ (806)				[806]
" reg"																			\					[012]
property																		\					[110]
" UltraTek133"																	\					[012]
device-name																		\					[201]
" scsi"																			\					[012]
device-type																		\					[11a]
" PDC20269"																		\					[012]
model																			\					[119]
" UltraTek133"																	\					[012]
encode-string																	\					[114]
" compatible"																	\					[012]
property																		\					[110]
" UltraTek133"																	\					[012]
encode-string																	\					[114]
" release"																		\					[012]
property																		\					[110]
0																				\					[0a5]
encode-int																		\					[111]
0																				\					[0a5]
encode-int																		\					[111]
encode+																			\					[112]
7270e0																			\					[010]
encode-int																		\					[111]
7270e0																			\					[010]
encode-int																		\					[111]
encode+																			\					[112]
encode+																			\					[112]
0																				\					[0a5]
encode-int																		\					[111]
0																				\					[0a5]
encode-int																		\					[111]
encode+																			\					[112]
encode+																			\					[112]
7b98a0																			\					[010]
encode-int																		\					[111]
7b98a0																			\					[010]
encode-int																		\					[111]
encode+																			\					[112]
encode+																			\					[112]
" power-consumption"															\					[012]
property																		\					[110]
0																				\					[0a5]
encode-int																		\					[111]
" #size-cells"																	\					[012]
property																		\					[110]
2																				\					[0a7]
encode-int																		\					[111]
" #address-cells"																\					[012]
property																		\					[110]
4 value value_811_4																\ (811 4)			[010 0b5 0b8]
-1 value value_812_-1															\ (812 -1)			[0a4 0b5 0b8]
0 value value_813_0																\ (813 0)			[0a5 0b5 0b8]
0 value value_814_0																\ (814 0)			[0a5 0b5 0b8]
0 value value_815_0																\ (815 0)			[0a5 0b5 0b8]
0 value value_816_0																\ (816 0)			[0a5 0b5 0b8]
0 value value_817_0																\ (817 0)			[0a5 0b5 0b8]
0 value value_818_0																\ (818 0)			[0a5 0b5 0b8]
0 instance value value_819_0													\ (819 0)			[0a5 0c0 0b5 0b8]
0 instance value value_81a_0													\ (81a 0)			[0a5 0c0 0b5 0b8]
0 instance value value_81b_0													\ (81b 0)			[0a5 0c0 0b5 0b8]
0 instance value value_81c_0													\ (81c 0)			[0a5 0c0 0b5 0b8]
create create_word_function_81d													\ (81d)				[0b5 0bb]
0																				\					[0a5]
,																				\					[0d3]
0																				\					[0a5]
,																				\					[0d3]
0																				\					[0a5]
,																				\					[0d3]
0																				\					[0a5]
,																				\					[0d3]
create create_word_function_81e													\ (81e)				[0b5 0bb]
0																				\					[0a5]
,																				\					[0d3]
0																				\					[0a5]
,																				\					[0d3]
0																				\					[0a5]
,																				\					[0d3]
0																				\					[0a5]
,																				\					[0d3]
create create_word_function_81f													\ (81f)				[0b5 0bb]
0																				\					[0a5]
,																				\					[0d3]
0																				\					[0a5]
,																				\					[0d3]
0																				\					[0a5]
,																				\					[0d3]
0																				\					[0a5]
,																				\					[0d3]
create create_word_function_820													\ (820)				[0b5 0bb]
0																				\					[0a5]
,																				\					[0d3]
0																				\					[0a5]
,																				\					[0d3]
0																				\					[0a5]
,																				\					[0d3]
0																				\					[0a5]
,																				\					[0d3]
create create_word_function_821													\ (821)				[0b5 0bb]
0																				\					[0a5]
,																				\					[0d3]
0																				\					[0a5]
,																				\					[0d3]
0																				\					[0a5]
,																				\					[0d3]
0																				\					[0a5]
,																				\					[0d3]
create create_word_function_822													\ (822)				[0b5 0bb]
0																				\					[0a5]
,																				\					[0d3]
0																				\					[0a5]
,																				\					[0d3]
0																				\					[0a5]
,																				\					[0d3]
0																				\					[0a5]
,																				\					[0d3]
create create_word_function_823													\ (823)				[0b5 0bb]
0																				\					[0a5]
,																				\					[0d3]
0																				\					[0a5]
,																				\					[0d3]
0																				\					[0a5]
,																				\					[0d3]
0																				\					[0a5]
,																				\					[0d3]
create create_word_function_824													\ (824)				[0b5 0bb]
0																				\					[0a5]
,																				\					[0d3]
0																				\					[0a5]
,																				\					[0d3]
0																				\					[0a5]
,																				\					[0d3]
0																				\					[0a5]
,																				\					[0d3]

: colon_definition_function_825													\ (825)				[0b5 0b7]
	value_81c_0																	\ (81c 0)			[81c]
	cells																		\					[069]
	+																			\					[01e]
	;																			\					[0c2]


: colon_definition_function_826													\ (826)				[0b5 0b7]
	create_word_function_81d													\ (81d)				[81d]
	colon_definition_function_825												\ (825)				[825]
	@																			\					[06d]
	;																			\					[0c2]


: colon_definition_function_827													\ (827)				[0b5 0b7]
	create_word_function_81d													\ (81d)				[81d]
	colon_definition_function_825												\ (825)				[825]
	!																			\					[072]
	;																			\					[0c2]


: colon_definition_function_828													\ (828)				[0b5 0b7]
	create_word_function_820													\ (820)				[820]
	colon_definition_function_825												\ (825)				[825]
	@																			\					[06d]
	;																			\					[0c2]


: colon_definition_function_829													\ (829)				[0b5 0b7]
	create_word_function_820													\ (820)				[820]
	colon_definition_function_825												\ (825)				[825]
	!																			\					[072]
	;																			\					[0c2]


: colon_definition_function_82a													\ (82a)				[0b5 0b7]
	create_word_function_81e													\ (81e)				[81e]
	colon_definition_function_825												\ (825)				[825]
	@																			\					[06d]
	;																			\					[0c2]


: colon_definition_function_82b													\ (82b)				[0b5 0b7]
	create_word_function_81e													\ (81e)				[81e]
	colon_definition_function_825												\ (825)				[825]
	!																			\					[072]
	;																			\					[0c2]


: colon_definition_function_82c													\ (82c)				[0b5 0b7]
	create_word_function_81f													\ (81f)				[81f]
	colon_definition_function_825												\ (825)				[825]
	@																			\					[06d]
	;																			\					[0c2]


: colon_definition_function_82d													\ (82d)				[0b5 0b7]
	create_word_function_81f													\ (81f)				[81f]
	colon_definition_function_825												\ (825)				[825]
	!																			\					[072]
	;																			\					[0c2]


: colon_definition_function_82e													\ (82e)				[0b5 0b7]
	create_word_function_821													\ (821)				[821]
	colon_definition_function_825												\ (825)				[825]
	@																			\					[06d]
	;																			\					[0c2]


: colon_definition_function_82f													\ (82f)				[0b5 0b7]
	create_word_function_821													\ (821)				[821]
	colon_definition_function_825												\ (825)				[825]
	!																			\					[072]
	;																			\					[0c2]


: colon_definition_function_830													\ (830)				[0b5 0b7]
	create_word_function_823													\ (823)				[823]
	colon_definition_function_825												\ (825)				[825]
	@																			\					[06d]
	;																			\					[0c2]


: colon_definition_function_831													\ (831)				[0b5 0b7]
	create_word_function_823													\ (823)				[823]
	colon_definition_function_825												\ (825)				[825]
	!																			\					[072]
	;																			\					[0c2]


: colon_definition_function_832													\ (832)				[0b5 0b7]
	create_word_function_822													\ (822)				[822]
	colon_definition_function_825												\ (825)				[825]
	@																			\					[06d]
	;																			\					[0c2]


: colon_definition_function_833													\ (833)				[0b5 0b7]
	create_word_function_822													\ (822)				[822]
	colon_definition_function_825												\ (825)				[825]
	!																			\					[072]
	;																			\					[0c2]


: colon_definition_function_834													\ (834)				[0b5 0b7]
	create_word_function_824													\ (824)				[824]
	colon_definition_function_825												\ (825)				[825]
	@																			\					[06d]
	;																			\					[0c2]


: colon_definition_function_835													\ (835)				[0b5 0b7]
	create_word_function_824													\ (824)				[824]
	colon_definition_function_825												\ (825)				[825]
	!																			\					[072]
	;																			\					[0c2]

0 value value_836_0																\ (836 0)			[0a5 0b5 0b8]
0 value value_837_0																\ (837 0)			[0a5 0b5 0b8]
0 value value_838_0																\ (838 0)			[0a5 0b5 0b8]
0 value value_839_0																\ (839 0)			[0a5 0b5 0b8]

: colon_definition_function_83a													\ (83a)				[0b5 0b7]
	value_819_0																	\ (819 0)			[819]
	+																			\					[01e]
	rb@																			\					[230]
	;																			\					[0c2]


: colon_definition_function_83b													\ (83b)				[0b5 0b7]
	value_819_0																	\ (819 0)			[819]
	+																			\					[01e]
	rb!																			\					[231]
	;																			\					[0c2]


: colon_definition_function_83c													\ (83c)				[0b5 0b7]
	value_819_0																	\ (819 0)			[819]
	w@																			\					[06f]
	;																			\					[0c2]


: colon_definition_function_83d													\ (83d)				[0b5 0b7]
	1																			\					[0a6]
	colon_definition_function_83a												\ (83a)				[83a]
	;																			\					[0c2]


: colon_definition_function_83e													\ (83e)				[0b5 0b7]
	2																			\					[0a7]
	colon_definition_function_83a												\ (83a)				[83a]
	;																			\					[0c2]


: colon_definition_function_83f													\ (83f)				[0b5 0b7]
	3																			\					[0a8]
	colon_definition_function_83a												\ (83a)				[83a]
	;																			\					[0c2]


: colon_definition_function_840													\ (840)				[0b5 0b7]
	4																			\					[010]
	colon_definition_function_83a												\ (83a)				[83a]
	5																			\					[010]
	colon_definition_function_83a												\ (83a)				[83a]
	bwjoin																		\					[0b0]
	;																			\					[0c2]


: colon_definition_function_841													\ (841)				[0b5 0b7]
	6																			\					[010]
	colon_definition_function_83a												\ (83a)				[83a]
	dup																			\					[047]
	0f																			\					[010]
	and																			\					[023]
	swap																		\					[049]
	4																			\					[010]
	>>																			\					[028]
	1																			\					[0a6]
	and																			\					[023]
	;																			\					[0c2]


: colon_definition_function_842													\ (842)				[0b5 0b7]
	7																			\					[010]
	colon_definition_function_83a												\ (83a)				[83a]
	;																			\					[0c2]


: colon_definition_function_843													\ (843)				[0b5 0b7]
	value_81a_0																	\ (81a 0)			[81a]
	rb@																			\					[230]
	;																			\					[0c2]


: colon_definition_function_844													\ (844)				[0b5 0b7]
	value_818_0																	\ (818 0)			[818]
	or																			\					[024]
	value_81a_0																	\ (81a 0)			[81a]
	rb!																			\					[231]
	;																			\					[0c2]


: colon_definition_function_845													\ (845)				[0b5 0b7]
	get-msecs																	\					[125]
	begin																		\					[0b1]
		colon_definition_function_842											\ (842)				[842]
		dup																		\					[047]
		0<>																		\					[035]
		over																	\					[048]
		0ff																		\					[010]
		<>																		\					[03d]
		and																		\					[023]
		swap																	\					[049]
		0c0																		\					[010]
		and																		\					[023]
		40																		\					[010]
		<>																		\					[03d]
		and																		\					[023]
		if																		\ (0x14)			[014]
			get-msecs															\					[125]
			over																\					[048]
			-																	\					[01f]
			1388																\					[010]
			<																	\					[03a]
			while																\ (0x6)				[014]
		repeat																	\ (0xffffffd5)		[013 0b2]
	then																		\					[0b2]
	drop																		\					[046]
	;																			\					[0c2]


: colon_definition_function_846													\ (846)				[0b5 0b7]
	4																			\					[010]
	colon_definition_function_844												\ (844)				[844]
	32																			\					[010]
	ms																			\					[126]
	0																			\					[0a5]
	colon_definition_function_844												\ (844)				[844]
	3e8																			\					[010]
	ms																			\					[126]
	-1																			\					[0a4]
	;																			\					[0c2]


: colon_definition_function_847													\ (847)				[0b5 0b7]
	value_819_0																	\ (819 0)			[819]
	w!																			\					[074]
	;																			\					[0c2]


: colon_definition_function_848													\ (848)				[0b5 0b7]
	1																			\					[0a6]
	colon_definition_function_83b												\ (83b)				[83b]
	;																			\					[0c2]


: colon_definition_function_849													\ (849)				[0b5 0b7]
	2																			\					[0a7]
	colon_definition_function_83b												\ (83b)				[83b]
	;																			\					[0c2]


: colon_definition_function_84a													\ (84a)				[0b5 0b7]
	3																			\					[0a8]
	colon_definition_function_83b												\ (83b)				[83b]
	;																			\					[0c2]


: colon_definition_function_84b													\ (84b)				[0b5 0b7]
	4																			\					[010]
	colon_definition_function_83b												\ (83b)				[83b]
	;																			\					[0c2]


: colon_definition_function_84c													\ (84c)				[0b5 0b7]
	5																			\					[010]
	colon_definition_function_83b												\ (83b)				[83b]
	;																			\					[0c2]


: colon_definition_function_84d													\ (84d)				[0b5 0b7]
	wbsplit																		\					[0af]
	5																			\					[010]
	colon_definition_function_83b												\ (83b)				[83b]
	4																			\					[010]
	colon_definition_function_83b												\ (83b)				[83b]
	;																			\					[0c2]


: colon_definition_function_84e													\ (84e)				[0b5 0b7]
	4																			\					[010]
	<<																			\					[027]
	0e0																			\					[010]
	or																			\					[024]
	or																			\					[024]
	6																			\					[010]
	value_819_0																	\ (819 0)			[819]
	+																			\					[01e]
	rb!																			\					[231]
	;																			\					[0c2]


: colon_definition_function_84f													\ (84f)				[0b5 0b7]
	4																			\					[010]
	<<																			\					[027]
	0a0																			\					[010]
	or																			\					[024]
	or																			\					[024]
	6																			\					[010]
	value_819_0																	\ (819 0)			[819]
	+																			\					[01e]
	rb!																			\					[231]
	;																			\					[0c2]


: colon_definition_function_850													\ (850)				[0b5 0b7]
	7																			\					[010]
	colon_definition_function_83b												\ (83b)				[83b]
	;																			\					[0c2]


: colon_definition_function_851													\ (851)				[0b5 0b7]
	0																			\					[0a5]
	value_81b_0																	\ (81b 0)			[81b]
	colon_definition_function_84f												\ (84f)				[84f]
	;																			\					[0c2]

defer defer_word_function_852													\ (852)				[0b5 0bc]
defer defer_word_function_853													\ (853)				[0b5 0bc]

: colon_definition_function_854													\ (854)				[0b5 0b7]
	-rot																		\					[04b]
	bounds																		\					[0ac]
	do																			\ (0x10)			[017]
		i																		\					[019]
		c@																		\					[071]
		i																		\					[019]
		1+																		\					[0a6 01e]
		c@																		\					[071]
		bwjoin																	\					[0b0]
		over																	\					[048]
		rw!																		\					[233]
		/w																		\					[05b]
	+loop																		\ (0xfffffff4)		[016]
	drop																		\					[046]
	;																			\					[0c2]


: colon_definition_function_855													\ (855)				[0b5 0b7]
	-rot																		\					[04b]
	bounds																		\					[0ac]
	do																			\ (0x10)			[017]
		dup																		\					[047]
		rw@																		\					[232]
		wbsplit																	\					[0af]
		i																		\					[019]
		1+																		\					[0a6 01e]
		c!																		\					[075]
		i																		\					[019]
		c!																		\					[075]
		/w																		\					[05b]
	+loop																		\ (0xfffffff4)		[016]
	drop																		\					[046]
	;																			\					[0c2]

['] colon_definition_function_854												\ (854)				[011 854]
to defer_word_function_852														\ (852)				[0c3 852]
['] colon_definition_function_855												\ (855)				[011 855]
to defer_word_function_853														\ (853)				[0c3 853]

: colon_definition_function_856													\ (856)				[0b5 0b7]
	64																			\					[010]
	0																			\					[0a5]
	do																			\ (0x27)			[017]
		colon_definition_function_842											\ (842)				[842]
		dup																		\					[047]
		80																		\					[010]
		and																		\					[023]
		if																		\ (0x7)				[014]
			drop																\					[046]
		else																	\ (0x11)			[013 0b2]
			8																	\					[010]
			and																	\					[023]
			if																	\ (0x6)				[014]
				0																\					[0a5]
				unloop															\					[089]
				exit															\					[033]
			then																\					[0b2]
		then																	\					[0b2]
		1																		\					[0a6]
		ms																		\					[126]
	loop																		\ (0xffffffdd)		[015]
	-1																			\					[0a4]
	;																			\					[0c2]


: colon_definition_function_857													\ (857)				[0b5 0b7]
	2000																		\					[010]
	0																			\					[0a5]
	do																			\ (0x1f)			[017]
		colon_definition_function_842											\ (842)				[842]
		dup																		\					[047]
		80																		\					[010]
		and																		\					[023]
		0=																		\					[034]
		if																		\ (0x5)				[014]
			drop																\					[046]
			leave																\					[01b]
		then																	\					[0b2]
		1																		\					[0a6]
		and																		\					[023]
		?leave																	\					[014 01b 0b2]
		1																		\					[0a6]
		ms																		\					[126]
	loop																		\ (0xffffffe5)		[015]
	;																			\					[0c2]


: colon_definition_function_858													\ (858)				[0b5 0b7]
	begin																		\					[0b1]
		colon_definition_function_842											\ (842)				[842]
		50																		\					[010]
		=																		\					[03c]
	until																		\ (0xfffffff7)		[014]
	;																			\					[0c2]


: colon_definition_function_859													\ (859)				[0b5 0b7]
	colon_definition_function_82e												\ (82e)				[82e]
	/mod																		\					[02a]
	colon_definition_function_832												\ (832)				[832]
	/mod																		\					[02a]
	swap																		\					[049]
	rot																			\					[04a]
	1+																			\					[0a6 01e]
	;																			\					[0c2]


: colon_definition_function_85a													\ (85a)				[0b5 0b7]
	dup																			\					[047]
	8																			\					[010]
	>>																			\					[028]
	0ffff																		\					[010]
	and																			\					[023]
	swap																		\					[049]
	dup																			\					[047]
	18																			\					[010]
	>>																			\					[028]
	swap																		\					[049]
	0ff																			\					[010]
	and																			\					[023]
	;																			\					[0c2]


: colon_definition_function_85b													\ (85b)				[0b5 0b7]
	;																			\					[0c2]

defer defer_word_function_85c													\ (85c)				[0b5 0bc]

: colon_definition_function_85d													\ (85d)				[0b5 0b7]
	colon_definition_function_856												\ (856)				[856]
	0=																			\					[034]
	if																			\ (0x8)				[014]
		value_819_0																\ (819 0)			[819]
		defer_word_function_853													\ (853)				[853]
		0																		\					[0a5]
	then																		\					[0b2]
	;																			\					[0c2]

['] colon_definition_function_85d												\ (85d)				[011 85d]
to defer_word_function_85c														\ (85c)				[0c3 85c]

: colon_definition_function_85e													\ (85e)				[0b5 0b7]
	0																			\					[0a5]
	-rot																		\					[04b]
	colon_definition_function_826												\ (826)				[826]
	*																			\					[020]
	bounds																		\					[0ac]
	?do																			\ (0x14)			[018]
		i																		\					[019]
		colon_definition_function_826											\ (826)				[826]
		defer_word_function_85c													\ (85c)				[85c]
		if																		\ (0x5)				[014]
			unloop																\					[089]
			exit																\					[033]
		then																	\					[0b2]
		1+																		\					[0a6 01e]
		colon_definition_function_826											\ (826)				[826]
	+loop																		\ (0xfffffff0)		[016]
	;																			\					[0c2]


: colon_definition_function_85f													\ (85f)				[0b5 0b7]
	['] colon_definition_function_85d											\ (85d)				[011 85d]
	to defer_word_function_85c													\ (85c)				[0c3 85c]
	colon_definition_function_85e												\ (85e)				[85e]
	;																			\					[0c2]

defer defer_word_function_860													\ (860)				[0b5 0bc]
['] colon_definition_function_85f												\ (85f)				[011 85f]
to defer_word_function_860														\ (860)				[0c3 860]

: colon_definition_function_861													\ (861)				[0b5 0b7]
	colon_definition_function_856												\ (856)				[856]
	0=																			\					[034]
	if																			\ (0x8)				[014]
		value_819_0																\ (819 0)			[819]
		defer_word_function_852													\ (852)				[852]
		0																		\					[0a5]
	then																		\					[0b2]
	;																			\					[0c2]


: colon_definition_function_862													\ (862)				[0b5 0b7]
	over																		\					[048]
	>r																			\					[030]
	begin																		\					[0b1]
		colon_definition_function_856											\ (856)				[856]
		drop																	\					[046]
		swap																	\					[049]
		dup																		\					[047]
		colon_definition_function_826											\ (826)				[826]
		value_819_0																\ (819 0)			[819]
		defer_word_function_852													\ (852)				[852]
		colon_definition_function_826											\ (826)				[826]
		+																		\					[01e]
		swap																	\					[049]
		1-																		\					[0a6 01f]
		?dup																	\					[050]
		0=																		\					[034]
	until																		\ (0xffffffec)		[014]
	r>																			\					[031]
	-																			\					[01f]
	colon_definition_function_826												\ (826)				[826]
	/																			\					[021]
	;																			\					[0c2]


: colon_definition_function_863													\ (863)				[0b5 0b7]
	over																		\					[048]
	0=																			\					[034]
	if																			\ (0x7)				[014]
		2drop																	\					[052]
		2drop																	\					[052]
		0																		\					[0a5]
		exit																	\					[033]
	then																		\					[0b2]
	>r																			\					[030]
	dup																			\					[047]
	>r																			\					[030]
	colon_definition_function_849												\ (849)				[849]
	colon_definition_function_834												\ (834)				[834]
	0<>																			\					[035]
	if																			\ (0x8)				[014]
		colon_definition_function_85a											\ (85a)				[85a]
	else																		\ (0x6)				[013 0b2]
		colon_definition_function_859											\ (859)				[859]
	then																		\					[0b2]
	colon_definition_function_84a												\ (84a)				[84a]
	value_81b_0																	\ (81b 0)			[81b]
	colon_definition_function_834												\ (834)				[834]
	0<>																			\					[035]
	if																			\ (0x8)				[014]
		colon_definition_function_84e											\ (84e)				[84e]
	else																		\ (0x6)				[013 0b2]
		colon_definition_function_84f											\ (84f)				[84f]
	then																		\					[0b2]
	colon_definition_function_84d												\ (84d)				[84d]
	r>																			\					[031]
	r>																			\					[031]
	if																			\ (0xf)				[014]
		20																		\					[010]
		colon_definition_function_850											\ (850)				[850]
		defer_word_function_860													\ (860)				[860]
	else																		\ (0xd)				[013 0b2]
		30																		\					[010]
		colon_definition_function_850											\ (850)				[850]
		colon_definition_function_862											\ (862)				[862]
	then																		\					[0b2]
	dup																			\					[047]
	0=																			\					[034]
	if																			\ (0x24)			[014]
		." Failed to transfer any blocks"										\					[012 090]
		cr																		\					[092]
	then																		\					[0b2]
	;																			\					[0c2]


: colon_definition_function_864													\ (864)				[0b5 0b7]
	over																		\					[048]
	0=																			\					[034]
	if																			\ (0x7)				[014]
		2drop																	\					[052]
		2drop																	\					[052]
		0																		\					[0a5]
		exit																	\					[033]
	then																		\					[0b2]
	>r																			\					[030]
	dup																			\					[047]
	>r																			\					[030]
	swap																		\					[049]
	colon_definition_function_85a												\ (85a)				[85a]
	swap																		\					[049]
	0																			\					[0a5]
	swap																		\					[049]
	0																			\					[0a5]
	swap																		\					[049]
	colon_definition_function_84a												\ (84a)				[84a]
	colon_definition_function_84d												\ (84d)				[84d]
	colon_definition_function_849												\ (849)				[849]
	colon_definition_function_84a												\ (84a)				[84a]
	colon_definition_function_84d												\ (84d)				[84d]
	colon_definition_function_849												\ (849)				[849]
	0																			\					[0a5]
	value_81b_0																	\ (81b 0)			[81b]
	colon_definition_function_84e												\ (84e)				[84e]
	r>																			\					[031]
	r>																			\					[031]
	if																			\ (0xf)				[014]
		24																		\					[010]
		colon_definition_function_850											\ (850)				[850]
		defer_word_function_860													\ (860)				[860]
	else																		\ (0xd)				[013 0b2]
		34																		\					[010]
		colon_definition_function_850											\ (850)				[850]
		colon_definition_function_862											\ (862)				[862]
	then																		\					[0b2]
	dup																			\					[047]
	0=																			\					[034]
	if																			\ (0x24)			[014]
		." Failed to transfer any blocks"										\					[012 090]
		cr																		\					[092]
	then																		\					[0b2]
	;																			\					[0c2]

create create_word_function_865													\ (865)				[0b5 0bb]
200																				\					[010]
allot																			\					[0a5 02f 0a5 018 0a5 0d0 015]

: colon_definition_function_866													\ (866)				[0b5 0b7]
	colon_definition_function_851												\ (851)				[851]
	8																			\					[010]
	value_819_0																	\ (819 0)			[819]
	7																			\					[010]
	+																			\					[01e]
	rb!																			\					[231]
	64																			\					[010]
	0																			\					[0a5]
	do																			\ (0x1b)			[017]
		colon_definition_function_842											\ (842)				[842]
		dup																		\					[047]
		0=																		\					[034]
		swap																	\					[049]
		1																		\					[0a6]
		and																		\					[023]
		1																		\					[0a6]
		=																		\					[03c]
		or																		\					[024]
		?leave																	\					[014 01b 0b2]
		10																		\					[010]
		ms																		\					[126]
	loop																		\ (0xffffffe9)		[015]
	;																			\					[0c2]


: colon_definition_function_867													\ (867)				[0b5 0b7]
	3e8																			\					[010]
	ms																			\					[126]
	colon_definition_function_851												\ (851)				[851]
	0																			\					[010]
	colon_definition_function_848												\ (848)				[848]
	0																			\					[010]
	colon_definition_function_84a												\ (84a)				[84a]
	0																			\					[010]
	colon_definition_function_849												\ (849)				[849]
	0																			\					[010]
	colon_definition_function_84b												\ (84b)				[84b]
	2																			\					[010]
	colon_definition_function_84c												\ (84c)				[84c]
	0a1																			\					[010]
	colon_definition_function_850												\ (850)				[850]
	10																			\					[010]
	ms																			\					[126]
	colon_definition_function_857												\ (857)				[857]
	colon_definition_function_842												\ (842)				[842]
	dup																			\					[047]
	0=																			\					[034]
	swap																		\					[049]
	0ff																			\					[010]
	=																			\					[03c]
	or																			\					[024]
	if																			\ (0x4)				[014]
		exit																	\					[033]
	then																		\					[0b2]
	-1																			\					[0a4]
	colon_definition_function_82b												\ (82b)				[82b]
	create_word_function_865													\ (865)				[865]
	200																			\					[010]
	colon_definition_function_85d												\ (85d)				[85d]
	drop																		\					[046]
	10																			\					[010]
	ms																			\					[126]
	colon_definition_function_851												\ (851)				[851]
	create_word_function_865													\ (865)				[865]
	1+																			\					[0a6 01e]
	c@																			\					[071]
	1f																			\					[010]
	and																			\					[023]
	dup																			\					[047]
	colon_definition_function_829												\ (829)				[829]
	5																			\					[010]
	=																			\					[03c]
	if																			\ (0xb)				[014]
		800																		\					[010]
	else																		\ (0x9)				[013 0b2]
		200																		\					[010]
	then																		\					[0b2]
	colon_definition_function_827												\ (827)				[827]
	;																			\					[0c2]


: colon_definition_function_868													\ (868)				[0b5 0b7]
	colon_definition_function_851												\ (851)				[851]
	10000																		\					[010]
	0																			\					[0a5]
	do																			\ (0x17)			[017]
		colon_definition_function_842											\ (842)				[842]
		8																		\					[010]
		and																		\					[023]
		0=																		\					[034]
		if																		\ (0x5)				[014]
			unloop																\					[089]
			exit																\					[033]
		then																	\					[0b2]
		colon_definition_function_83c											\ (83c)				[83c]
		drop																	\					[046]
	loop																		\ (0xffffffed)		[015]
	colon_definition_function_866												\ (866)				[866]
	colon_definition_function_867												\ (867)				[867]
	;																			\					[0c2]


: colon_definition_function_869													\ (869)				[0b5 0b7]
	colon_definition_function_868												\ (868)				[868]
	0																			\					[0a5]
	colon_definition_function_848												\ (848)				[848]
	colon_definition_function_84d												\ (84d)				[84d]
	colon_definition_function_850												\ (850)				[850]
	;																			\					[0c2]

0c constant const_86a_0c														\ (86a 0c)			[010 0b5 0ba]
create create_word_function_86b													\ (86b)				[0b5 0bb]
const_86a_0c																	\ (86a 0c)			[86a]
allot																			\					[0a5 02f 0a5 018 0a5 0d0 015]

: colon_definition_function_86c													\ (86c)				[0b5 0b7]
	tuck																		\					[04c]
	c!																			\					[075]
	1+																			\					[0a6 01e]
	;																			\					[0c2]


: colon_definition_function_86d													\ (86d)				[0b5 0b7]
	>r																			\					[030]
	lbsplit																		\					[07e]
	2drop																		\					[052]
	r>																			\					[031]
	colon_definition_function_86c												\ (86c)				[86c]
	c!																			\					[075]
	;																			\					[0c2]


: colon_definition_function_86e													\ (86e)				[0b5 0b7]
	>r																			\					[030]
	lbsplit																		\					[07e]
	r>																			\					[031]
	colon_definition_function_86c												\ (86c)				[86c]
	colon_definition_function_86c												\ (86c)				[86c]
	colon_definition_function_86c												\ (86c)				[86c]
	c!																			\					[075]
	;																			\					[0c2]


: colon_definition_function_86f													\ (86f)				[0b5 0b7]
	create_word_function_86b													\ (86b)				[86b]
	+																			\					[01e]
	c!																			\					[075]
	;																			\					[0c2]

defer defer_word_function_870													\ (870)				[0b5 0bc]
['] colon_definition_function_85b												\ (85b)				[011 85b]
to defer_word_function_870														\ (870)				[0c3 870]

: colon_definition_function_871													\ (871)				[0b5 0b7]
	over																		\					[048]
	0a0																			\					[010]
	swap																		\					[049]
	colon_definition_function_869												\ (869)				[869]
	1																			\					[0a6]
	ms																			\					[126]
	colon_definition_function_856												\ (856)				[856]
	drop																		\					[046]
	const_86a_0c																\ (86a 0c)			[86a]
	value_819_0																	\ (819 0)			[819]
	defer_word_function_852														\ (852)				[852]
	1																			\					[0a6]
	ms																			\					[126]
	colon_definition_function_857												\ (857)				[857]
	colon_definition_function_856												\ (856)				[856]
	if																			\ (0xf)				[014]
		100																		\					[010]
		ms																		\					[126]
		2drop																	\					[052]
		0																		\					[0a5]
	else																		\ (0xa)				[013 0b2]
		tuck																	\					[04c]
		defer_word_function_870													\ (870)				[870]
		drop																	\					[046]
		colon_definition_function_857											\ (857)				[857]
	then																		\					[0b2]
	;																			\					[0c2]


: colon_definition_function_872													\ (872)				[0b5 0b7]
	create_word_function_86b													\ (86b)				[86b]
	const_86a_0c																\ (86a 0c)			[86a]
	erase																		\					[0a5 079]
	;																			\					[0c2]

0 instance value value_873_0													\ (873 0)			[0a5 0c0 0b5 0b8]
0 instance value value_874_0													\ (874 0)			[0a5 0c0 0b5 0b8]

: colon_definition_function_875													\ (875)				[0b5 0b7]
	colon_definition_function_851												\ (851)				[851]
	colon_definition_function_845												\ (845)				[845]
	0																			\					[0a5]
	colon_definition_function_848												\ (848)				[848]
	0																			\					[0a5]
	colon_definition_function_84d												\ (84d)				[84d]
	0a0																			\					[010]
	colon_definition_function_850												\ (850)				[850]
	10																			\					[010]
	ms																			\					[126]
	colon_definition_function_856												\ (856)				[856]
	drop																		\					[046]
	0																			\					[0a5]
	value_819_0																	\ (819 0)			[819]
	rl!																			\					[235]
	0																			\					[0a5]
	value_819_0																	\ (819 0)			[819]
	rl!																			\					[235]
	0																			\					[0a5]
	value_819_0																	\ (819 0)			[819]
	rl!																			\					[235]
	10																			\					[010]
	ms																			\					[126]
	colon_definition_function_845												\ (845)				[845]
	colon_definition_function_843												\ (843)				[843]
	1																			\					[0a6]
	and																			\					[023]
	0=																			\					[034]
	if																			\ (0x7)				[014]
		-1																		\					[0a4]
	else																		\ (0x9)				[013 0b2]
		1																		\					[0a6]
		colon_definition_function_83a											\ (83a)				[83a]
		drop																	\					[046]
		0																		\					[0a5]
	then																		\					[0b2]
	;																			\					[0c2]


: colon_definition_function_876													\ (876)				[0b5 0b7]
	to value_873_0																\ (873 0)			[0c3 873]
	to value_874_0																\ (874 0)			[0c3 874]
	20																			\					[010]
	0																			\					[0a5]
	do																			\ (0x1a)			[017]
		value_874_0																\ (874 0)			[874]
		value_873_0																\ (873 0)			[873]
		create_word_function_86b												\ (86b)				[86b]
		colon_definition_function_871											\ (871)				[871]
		colon_definition_function_842											\ (842)				[842]
		1																		\					[0a6]
		and																		\					[023]
		0=																		\					[034]
		if																		\ (0x6)				[014]
			unloop																\					[089]
			-1																	\					[0a4]
			exit																\					[033]
		then																	\					[0b2]
		drop																	\					[046]
	loop																		\ (0xffffffea)		[015]
	0																			\					[0a5]
	;																			\					[0c2]


: colon_definition_function_877													\ (877)				[0b5 0b7]
	['] colon_definition_function_85d											\ (85d)				[011 85d]
	to defer_word_function_870													\ (870)				[0c3 870]
	>r																			\					[030]
	0																			\					[0a5]
	-rot																		\					[04b]
	r>																			\					[031]
	0																			\					[0a5]
	?do																			\ (0x3a)			[018]
		2dup																	\					[053]
		>r																		\					[030]
		>r																		\					[030]
		colon_definition_function_872											\ (872)				[872]
		28																		\					[010]
		0																		\					[0a5]
		colon_definition_function_86f											\ (86f)				[86f]
		1																		\					[0a6]
		create_word_function_86b												\ (86b)				[86b]
		7																		\					[010]
		+																		\					[01e]
		colon_definition_function_86d											\ (86d)				[86d]
		create_word_function_86b												\ (86b)				[86b]
		2+																		\					[0a7 01e]
		colon_definition_function_86e											\ (86e)				[86e]
		colon_definition_function_826											\ (826)				[826]
		colon_definition_function_876											\ (876)				[876]
		0=																		\					[034]
		if																		\ (0x6)				[014]
			r>																	\					[031]
			r>																	\					[031]
			leave																\					[01b]
		then																	\					[0b2]
		swap																	\					[049]
		1+																		\					[0a6 01e]
		swap																	\					[049]
		r>																		\					[031]
		r>																		\					[031]
		1+																		\					[0a6 01e]
		-rot																	\					[04b]
		+																		\					[01e]
		swap																	\					[049]
	loop																		\ (0xffffffca)		[015]
	2drop																		\					[052]
	;																			\					[0c2]


: colon_definition_function_878													\ (878)				[0b5 0b7]
	['] colon_definition_function_861											\ (861)				[011 861]
	to defer_word_function_870													\ (870)				[0c3 870]
	>r																			\					[030]
	0																			\					[0a5]
	-rot																		\					[04b]
	r>																			\					[031]
	0																			\					[0a5]
	?do																			\ (0x3a)			[018]
		2dup																	\					[053]
		>r																		\					[030]
		>r																		\					[030]
		colon_definition_function_872											\ (872)				[872]
		2a																		\					[010]
		0																		\					[0a5]
		colon_definition_function_86f											\ (86f)				[86f]
		1																		\					[0a6]
		create_word_function_86b												\ (86b)				[86b]
		7																		\					[010]
		+																		\					[01e]
		colon_definition_function_86d											\ (86d)				[86d]
		create_word_function_86b												\ (86b)				[86b]
		2+																		\					[0a7 01e]
		colon_definition_function_86e											\ (86e)				[86e]
		colon_definition_function_826											\ (826)				[826]
		colon_definition_function_876											\ (876)				[876]
		0=																		\					[034]
		if																		\ (0x6)				[014]
			r>																	\					[031]
			r>																	\					[031]
			leave																\					[01b]
		then																	\					[0b2]
		swap																	\					[049]
		1+																		\					[0a6 01e]
		swap																	\					[049]
		r>																		\					[031]
		r>																		\					[031]
		1+																		\					[0a6 01e]
		-rot																	\					[04b]
		+																		\					[01e]
		swap																	\					[049]
	loop																		\ (0xffffffca)		[015]
	2drop																		\					[052]
	;																			\					[0c2]


: colon_definition_function_879													\ (879)				[0b5 0b7]
	['] colon_definition_function_85d											\ (85d)				[011 85d]
	to defer_word_function_870													\ (870)				[0c3 870]
	colon_definition_function_872												\ (872)				[872]
	3																			\					[010]
	0																			\					[0a5]
	colon_definition_function_86f												\ (86f)				[86f]
	12																			\					[010]
	4																			\					[010]
	colon_definition_function_86f												\ (86f)				[86f]
	create_word_function_865													\ (865)				[865]
	12																			\					[010]
	colon_definition_function_876												\ (876)				[876]
	if																			\ (0x4)				[014]
		drop																	\					[046]
	then																		\					[0b2]
	;																			\					[0c2]


: colon_definition_function_87a													\ (87a)				[0b5 0b7]
	>r																			\					[030]
	r@																			\					[032]
	3																			\					[0a8]
	+																			\					[01e]
	c@																			\					[071]
	r@																			\					[032]
	2+																			\					[0a7 01e]
	c@																			\					[071]
	r@																			\					[032]
	1+																			\					[0a6 01e]
	c@																			\					[071]
	r>																			\					[031]
	c@																			\					[071]
	bljoin																		\					[07f]
	;																			\					[0c2]


: colon_definition_function_87b													\ (87b)				[0b5 0b7]
	['] colon_definition_function_85d											\ (85d)				[011 85d]
	to defer_word_function_870													\ (870)				[0c3 870]
	colon_definition_function_872												\ (872)				[872]
	25																			\					[010]
	0																			\					[0a5]
	colon_definition_function_86f												\ (86f)				[86f]
	create_word_function_865													\ (865)				[865]
	8																			\					[010]
	colon_definition_function_876												\ (876)				[876]
	if																			\ (0xb)				[014]
		drop																	\					[046]
		create_word_function_865												\ (865)				[865]
		colon_definition_function_87a											\ (87a)				[87a]
	else																		\ (0x5)				[013 0b2]
		0																		\					[0a5]
	then																		\					[0b2]
	;																			\					[0c2]


: colon_definition_function_87c													\ (87c)				[0b5 0b7]
	0a																			\					[010]
	0																			\					[0a5]
	do																			\ (0x13)			[017]
		colon_definition_function_875											\ (875)				[875]
		if																		\ (0x8)				[014]
			unloop																\					[089]
			exit																\					[033]
		else																	\ (0x6)				[013 0b2]
			colon_definition_function_879										\ (879)				[879]
		then																	\					[0b2]
	loop																		\ (0xfffffff1)		[015]
	;																			\					[0c2]


: colon_definition_function_87d													\ (87d)				[0b5 0b7]
	dup																			\					[047]
	c@																			\					[071]
	swap																		\					[049]
	char+																		\					[062]
	c@																			\					[071]
	bwjoin																		\					[0b0]
	;																			\					[0c2]


: colon_definition_function_87e													\ (87e)				[0b5 0b7]
	200																			\					[010]
	colon_definition_function_827												\ (827)				[827]
	0																			\					[0a5]
	colon_definition_function_82b												\ (82b)				[82b]
	0																			\					[0a5]
	colon_definition_function_82d												\ (82d)				[82d]
	0																			\					[0a5]
	colon_definition_function_829												\ (829)				[829]
	colon_definition_function_845												\ (845)				[845]
	0																			\					[0a5]
	colon_definition_function_844												\ (844)				[844]
	colon_definition_function_851												\ (851)				[851]
	0																			\					[010]
	colon_definition_function_848												\ (848)				[848]
	0																			\					[010]
	colon_definition_function_84a												\ (84a)				[84a]
	0																			\					[010]
	colon_definition_function_849												\ (849)				[849]
	0																			\					[010]
	colon_definition_function_84b												\ (84b)				[84b]
	2																			\					[010]
	colon_definition_function_84c												\ (84c)				[84c]
	0ec																			\					[010]
	colon_definition_function_850												\ (850)				[850]
	10																			\					[010]
	ms																			\					[126]
	create_word_function_865													\ (865)				[865]
	200																			\					[010]
	colon_definition_function_85d												\ (85d)				[85d]
	drop																		\					[046]
	create_word_function_865													\ (865)				[865]
	1																			\					[0a6]
	wa+																			\					[05f]
	colon_definition_function_87d												\ (87d)				[87d]
	colon_definition_function_831												\ (831)				[831]
	create_word_function_865													\ (865)				[865]
	3																			\					[0a8]
	wa+																			\					[05f]
	colon_definition_function_87d												\ (87d)				[87d]
	colon_definition_function_833												\ (833)				[833]
	create_word_function_865													\ (865)				[865]
	6																			\					[010]
	wa+																			\					[05f]
	colon_definition_function_87d												\ (87d)				[87d]
	colon_definition_function_82f												\ (82f)				[82f]
	create_word_function_865													\ (865)				[865]
	53																			\					[010]
	wa+																			\					[05f]
	colon_definition_function_87d												\ (87d)				[87d]
	400																			\					[010]
	and																			\					[023]
	0<>																			\					[035]
	if																			\ (0x45)			[014]
		-1																		\					[0a4]
		colon_definition_function_82d											\ (82d)				[82d]
		create_word_function_865												\ (865)				[865]
		66																		\					[010]
		wa+																		\					[05f]
		colon_definition_function_87d											\ (87d)				[87d]
		create_word_function_865												\ (865)				[865]
		67																		\					[010]
		wa+																		\					[05f]
		colon_definition_function_87d											\ (87d)				[87d]
		wljoin																	\					[07d]
		0<>																		\					[035]
		if																		\ (0xd)				[014]
			-1																	\					[010]
			colon_definition_function_835										\ (835)				[835]
		else																	\ (0x1b)			[013 0b2]
			create_word_function_865											\ (865)				[865]
			64																	\					[010]
			wa+																	\					[05f]
			colon_definition_function_87d										\ (87d)				[87d]
			create_word_function_865											\ (865)				[865]
			65																	\					[010]
			wa+																	\					[05f]
			colon_definition_function_87d										\ (87d)				[87d]
			wljoin																\					[07d]
			colon_definition_function_835										\ (835)				[835]
		then																	\					[0b2]
	else																		\ (0x27)			[013 0b2]
		colon_definition_function_830											\ (830)				[830]
		3fff																	\					[010]
		u>=																		\					[041]
		if																		\ (0x1a)			[014]
			create_word_function_865											\ (865)				[865]
			3c																	\					[010]
			wa+																	\					[05f]
			colon_definition_function_87d										\ (87d)				[87d]
			create_word_function_865											\ (865)				[865]
			3d																	\					[010]
			wa+																	\					[05f]
			colon_definition_function_87d										\ (87d)				[87d]
			wljoin																\					[07d]
			colon_definition_function_835										\ (835)				[835]
		then																	\					[0b2]
	then																		\					[0b2]
	;																			\					[0c2]


: colon_definition_function_87f													\ (87f)				[0b5 0b7]
	-1																			\					[0a4]
	10																			\					[010]
	0																			\					[0a5]
	do																			\ (0x2b)			[017]
		colon_definition_function_851											\ (851)				[851]
		6																		\					[010]
		colon_definition_function_83a											\ (83a)				[83a]
		value_81b_0																\ (81b 0)			[81b]
		4																		\					[010]
		<<																		\					[027]
		0a0																		\					[010]
		or																		\					[024]
		=																		\					[03c]
		if																		\ (0x6)				[014]
			drop																\					[046]
			0																	\					[0a5]
			leave																\					[01b]
		then																	\					[0b2]
		50																		\					[010]
		ms																		\					[126]
	loop																		\ (0xffffffd9)		[015]
	if																			\ (0x5)				[014]
		0																		\					[0a5]
		exit																	\					[033]
	then																		\					[0b2]
	colon_definition_function_840												\ (840)				[840]
	0eb14																		\					[010]
	=																			\					[03c]
	if																			\ (0xd)				[014]
		colon_definition_function_866											\ (866)				[866]
		colon_definition_function_867											\ (867)				[867]
		colon_definition_function_87c											\ (87c)				[87c]
		-1																		\					[0a4]
	else																		\ (0x3c)			[013 0b2]
		colon_definition_function_842											\ (842)				[842]
		dup																		\					[047]
		0<>																		\					[035]
		swap																	\					[049]
		0ff																		\					[010]
		<>																		\					[03d]
		and																		\					[023]
		if																		\ (0x29)			[014]
			value_81b_0															\ (81b 0)			[81b]
			0=																	\					[034]
			if																	\ (0x5)				[014]
				colon_definition_function_858									\ (858)				[858]
			then																\					[0b2]
			colon_definition_function_842										\ (842)				[842]
			0f0																	\					[010]
			and																	\					[023]
			50																	\					[010]
			=																	\					[03c]
			if																	\ (0x9)				[014]
				colon_definition_function_87e									\ (87e)				[87e]
				-1																\					[0a4]
			else																\ (0x5)				[013 0b2]
				0																\					[0a5]
			then																\					[0b2]
		else																	\ (0x5)				[013 0b2]
			0																	\					[0a5]
		then																	\					[0b2]
	then																		\					[0b2]
	;																			\					[0c2]



external
: block-size																	\ (880)				[0ca 0b7]
	colon_definition_function_851												\ (851)				[851]
	colon_definition_function_826												\ (826)				[826]
	;																			\					[0c2]


: #blocks																		\ (881)				[0ca 0b7]
	colon_definition_function_82a												\ (82a)				[82a]
	if																			\ (0x8)				[014]
		colon_definition_function_87b											\ (87b)				[87b]
	else																		\ (0x14)			[013 0b2]
		colon_definition_function_834											\ (834)				[834]
		?dup																	\					[050]
		0=																		\					[034]
		if																		\ (0xb)				[014]
			colon_definition_function_830										\ (830)				[830]
			colon_definition_function_82e										\ (82e)				[82e]
			colon_definition_function_832										\ (832)				[832]
			*																	\					[020]
			*																	\					[020]
		then																	\					[0b2]
	then																		\					[0b2]
	;																			\					[0c2]


: dma-alloc																		\ (882)				[0ca 0b7]
	" dma-alloc"																\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: dma-free																		\ (883)				[0ca 0b7]
	" dma-free"																	\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: dma-map-out																	\ (884)				[0ca 0b7]
	" dma-map-out"																\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: dma-map-in																	\ (885)				[0ca 0b7]
	" dma-map-in"																\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: dma-sync																		\ (886)				[0ca 0b7]
	" dma-sync"																	\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: max-transfer																	\ (887)				[0ca 0b7]
	100																			\					[010]
	colon_definition_function_826												\ (826)				[826]
	*																			\					[020]
	;																			\					[0c2]


: read-blocks																	\ (888)				[0ca 0b7]
	colon_definition_function_82a												\ (82a)				[82a]
	if																			\ (0x8)				[014]
		colon_definition_function_877											\ (877)				[877]
	else																		\ (0x13)			[013 0b2]
		-1																		\					[0a4]
		colon_definition_function_82c											\ (82c)				[82c]
		if																		\ (0x8)				[014]
			colon_definition_function_864										\ (864)				[864]
		else																	\ (0x6)				[013 0b2]
			colon_definition_function_863										\ (863)				[863]
		then																	\					[0b2]
	then																		\					[0b2]
	;																			\					[0c2]


: write-blocks																	\ (889)				[0ca 0b7]
	colon_definition_function_82a												\ (82a)				[82a]
	if																			\ (0x8)				[014]
		colon_definition_function_878											\ (878)				[878]
	else																		\ (0x13)			[013 0b2]
		0																		\					[0a5]
		colon_definition_function_82c											\ (82c)				[82c]
		if																		\ (0x8)				[014]
			colon_definition_function_864										\ (864)				[864]
		else																	\ (0x6)				[013 0b2]
			colon_definition_function_863										\ (863)				[863]
		then																	\					[0b2]
	then																		\					[0b2]
	;																			\					[0c2]


: ide-inquiry																	\ (88a)				[0ca 0b7]
	colon_definition_function_826												\ (826)				[826]
	0=																			\					[034]
	if																			\ (0x7)				[014]
		0																		\					[0a5]
	else																		\ (0x7)				[013 0b2]
		colon_definition_function_828											\ (828)				[828]
		-1																		\					[0a4]
	then																		\					[0b2]
	;																			\					[0c2]


: ide-drive-inquiry																\ (88b)				[0ca 0b7]
	dup																			\					[047]
	value_811_4																	\ (811 4)			[811]
	>=																			\					[042]
	if																			\ (0x8)				[014]
		drop																	\					[046]
		0																		\					[0a5]
	else																		\ (0x9)				[013 0b2]
		to value_81c_0															\ (81c 0)			[0c3 81c]
		ide-inquiry																\					[88a]
	then																		\					[0b2]
	;																			\					[0c2]


: set-address																	\ (88c)				[0ca 0b7]
	nip																			\					[04d]
	dup																			\					[047]
	to value_81c_0																\ (81c 0)			[0c3 81c]
	1																			\					[0a6]
	and																			\					[023]
	to value_81b_0																\ (81b 0)			[0c3 81b]
	value_81c_0																	\ (81c 0)			[81c]
	2																			\					[0a7]
	<																			\					[03a]
	if																			\ (0xa)				[014]
		value_814_0																\ (814 0)			[814]
		value_815_0																\ (815 0)			[815]
	else																		\ (0x8)				[013 0b2]
		value_816_0																\ (816 0)			[816]
		value_817_0																\ (817 0)			[817]
	then																		\					[0b2]
	to value_81a_0																\ (81a 0)			[0c3 81a]
	to value_819_0																\ (819 0)			[0c3 819]
	;																			\					[0c2]


: set-drive-cfg																	\ (88d)				[0ca 0b7]
	;																			\					[0c2]


: parse-args																	\ (88e)				[0ca 0b7]
	my-args																		\					[202]
	begin																		\					[0b1]
		dup																		\					[047]
		while																	\ (0x31)			[014]
			2c																	\					[010]
			left-parse-string													\					[240]
			my-self																\					[203]
			['] $call-method													\					[011 20e]
			catch																\					[217]
			if																	\ (0x1c)			[014]
				." Unknown argument"											\					[012 090]
				cr																\					[092]
				3drop															\					[046 052]
				2drop															\					[052]
				0																\					[0a5]
				exit															\					[033]
			then																\					[0b2]
	repeat																		\ (0xffffffd0)		[013 0b2]
	2drop																		\					[052]
	-1																			\					[0a4]
	;																			\					[0c2]


: open-hardware																	\ (88f)				[0ca 0b7]
	parse-args																	\					[88e]
	0=																			\					[034]
	if																			\ (0x5)				[014]
		0																		\					[0a5]
		exit																	\					[033]
	then																		\					[0b2]
	colon_definition_function_80f												\ (80f)				[80f]
	to value_817_0																\ (817 0)			[0c3 817]
	to value_816_0																\ (816 0)			[0c3 816]
	to value_815_0																\ (815 0)			[0c3 815]
	to value_814_0																\ (814 0)			[0c3 814]
	value_812_-1																\ (812 -1)			[812]
	if																			\ (0x43)			[014]
		0																		\					[0a5]
		0																		\					[0a5]
		set-address																\					[88c]
		colon_definition_function_846											\ (846)				[846]
		if																		\ (0x17)			[014]
			colon_definition_function_87f										\ (87f)				[87f]
			if																	\ (0x5)				[014]
				set-drive-cfg													\					[88d]
			then																\					[0b2]
			0																	\					[0a5]
			1																	\					[0a6]
			set-address															\					[88c]
			colon_definition_function_87f										\ (87f)				[87f]
			if																	\ (0x5)				[014]
				set-drive-cfg													\					[88d]
			then																\					[0b2]
		then																	\					[0b2]
		0																		\					[0a5]
		2																		\					[0a7]
		set-address																\					[88c]
		colon_definition_function_846											\ (846)				[846]
		if																		\ (0x17)			[014]
			colon_definition_function_87f										\ (87f)				[87f]
			if																	\ (0x5)				[014]
				set-drive-cfg													\					[88d]
			then																\					[0b2]
			0																	\					[0a5]
			3																	\					[0a8]
			set-address															\					[88c]
			colon_definition_function_87f										\ (87f)				[87f]
			if																	\ (0x5)				[014]
				set-drive-cfg													\					[88d]
			then																\					[0b2]
		then																	\					[0b2]
		0																		\					[0a5]
		to value_812_-1															\ (812 -1)			[0c3 812]
	then																		\					[0b2]
	0																			\					[0a5]
	0																			\					[0a5]
	set-address																	\					[88c]
	-1																			\					[0a4]
	;																			\					[0c2]


: reopen-hardware																\ (890)				[0ca 0b7]
	parse-args																	\					[88e]
	;																			\					[0c2]


: close-hardware																\ (891)				[0ca 0b7]
	value_814_0																	\ (814 0)			[814]
	value_815_0																	\ (815 0)			[815]
	value_816_0																	\ (816 0)			[816]
	value_817_0																	\ (817 0)			[817]
	colon_definition_function_810												\ (810)				[810]
	;																			\					[0c2]


: reclose-hardware																\ (892)				[0ca 0b7]
	;																			\					[0c2]


: selftest																		\ (893)				[0ca 0b7]
	0																			\					[0a5]
	;																			\					[0c2]


: open																			\ (894)				[0ca 0b7]
	value_813_0																	\ (813 0)			[813]
	if																			\ (0x15)			[014]
		reopen-hardware															\					[890]
		dup																		\					[047]
		if																		\ (0xa)				[014]
			value_813_0															\ (813 0)			[813]
			1+																	\					[0a6 01e]
			to value_813_0														\ (813 0)			[0c3 813]
		then																	\					[0b2]
		exit																	\					[033]
	else																		\ (0x3b)			[013 0b2]
		open-hardware															\					[88f]
		dup																		\					[047]
		if																		\ (0x33)			[014]
			200																	\					[010]
			dma-alloc															\					[882]
			to value_838_0														\ (838 0)			[0c3 838]
			100																	\					[010]
			dma-alloc															\					[882]
			to value_837_0														\ (837 0)			[0c3 837]
			value_837_0															\ (837 0)			[837]
			100																	\					[010]
			0																	\					[0a5]
			dma-map-in															\					[885]
			to value_836_0														\ (836 0)			[0c3 836]
			value_837_0															\ (837 0)			[837]
			0e0																	\					[010]
			+																	\					[01e]
			to value_839_0														\ (839 0)			[0c3 839]
			1																	\					[0a6]
			to value_813_0														\ (813 0)			[0c3 813]
		then																	\					[0b2]
	then																		\					[0b2]
	;																			\					[0c2]


: close																			\ (895)				[0ca 0b7]
	value_813_0																	\ (813 0)			[813]
	1-																			\					[0a6 01f]
	to value_813_0																\ (813 0)			[0c3 813]
	value_813_0																	\ (813 0)			[813]
	if																			\ (0x8)				[014]
		reclose-hardware														\					[892]
	else																		\ (0x18)			[013 0b2]
		close-hardware															\					[891]
		value_837_0																\ (837 0)			[837]
		100																		\					[010]
		dma-free																\					[883]
		value_838_0																\ (838 0)			[838]
		200																		\					[010]
		dma-free																\					[883]
	then																		\					[0b2]
	;																			\					[0c2]


: set-blk-w																		\ (896)				[0ca 0b7]
	to defer_word_function_852													\ (852)				[0c3 852]
	to defer_word_function_853													\ (853)				[0c3 853]
	;																			\					[0c2]


: decode-unit																	\ (897)				[0ca 0b7]
	parse-2int																	\					[11b]
	;																			\					[0c2]

new-device																		\					[11f]
1																				\					[0a6]
encode-int																		\					[111]
" #address-cells"																\					[012]
property																		\					[110]
0																				\					[0a5]
encode-int																		\					[111]
" #size-cells"																	\					[012]
property																		\					[110]
10																				\					[010]
encode-int																		\					[111]
" reg"																			\					[012]
property																		\					[110]
" FrmTk-0"																		\					[012]
device-name																		\					[201]
" ata"																			\					[012]
device-type																		\					[11a]
" UltraTek"																		\					[012]
encode-string																	\					[114]
" product-family"																\					[012]
property																		\					[110]
" PDC20269"																		\					[012]
encode-string																	\					[114]
" compatible"																	\					[012]
property																		\					[110]
0																				\					[0a5]
encode-int																		\					[111]
" ATA-Channel"																	\					[012]
property																		\					[110]

: write-blocks																	\ (898)				[0ca 0b7]
	" write-blocks"																\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: read-blocks																	\ (899)				[0ca 0b7]
	" read-blocks"																\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: max-transfer																	\ (89a)				[0ca 0b7]
	" max-transfer"																\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: #blocks																		\ (89b)				[0ca 0b7]
	" #blocks"																	\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: block-size																	\ (89c)				[0ca 0b7]
	" block-size"																\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: dma-free																		\ (89d)				[0ca 0b7]
	" dma-free"																	\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: dma-alloc																		\ (89e)				[0ca 0b7]
	" dma-alloc"																\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: ide-inquiry																	\ (89f)				[0ca 0b7]
	" ide-inquiry"																\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: set-address																	\ (8a0)				[0ca 0b7]
	" ATA-Channel"																\					[012]
	get-my-property																\					[21a]
	drop																		\					[046]
	decode-int																	\					[21b]
	nip																			\					[04d]
	nip																			\					[04d]
	if																			\ (0x5)				[014]
		2+																		\					[0a7 01e]
	then																		\					[0b2]
	0																			\					[0a5]
	swap																		\					[049]
	" set-address"																\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: open																			\ (8a1)				[0ca 0b7]
	-1																			\					[0a4]
	;																			\					[0c2]


: close																			\ (8a2)				[0ca 0b7]
	;																			\					[0c2]


: decode-unit																	\ (8a3)				[0ca 0b7]
	base																		\					[0a0]
	@																			\					[06d]
	>r																			\					[030]
	hex																			\					[010 0a0 072]
	$number																		\					[0a2]
	if																			\ (0x4)				[014]
		0																		\					[0a5]
	then																		\					[0b2]
	r>																			\					[031]
	base																		\					[0a0]
	!																			\					[072]
	;																			\					[0c2]

new-device																		\					[11f]
" sd"																			\					[012]
device-name																		\					[201]
" block"																		\					[012]
device-type																		\					[11a]
0 instance value /block															\ (8a4 0)			[0a5 0c0 0ca 0b8]
0 instance value deblocker														\ (8a5 0)			[0a5 0c0 0ca 0b8]
0 instance value offset-low														\ (8a6 0)			[0a5 0c0 0ca 0b8]
0 instance value offset-high													\ (8a7 0)			[0a5 0c0 0ca 0b8]
0 instance value label-package													\ (8a8 0)			[0a5 0c0 0ca 0b8]

: init-deblocker																\ (8a9)				[0ca 0b7]
	" "																			\					[012]
	" deblocker"																\					[012]
	$open-package																\					[20f]
	to deblocker																\					[0c3 8a5]
	deblocker																	\					[8a5]
	if																			\ (0x7)				[014]
		-1																		\					[0a4]
	else																		\ (0x25)			[013 0b2]
		." Can't open deblocker package"										\					[012 090]
		cr																		\					[092]
		0																		\					[0a5]
	then																		\					[0b2]
	;																			\					[0c2]


: init-label-package															\ (8aa)				[0ca 0b7]
	0																			\					[0a5]
	to offset-high																\					[0c3 8a7]
	0																			\					[0a5]
	to offset-low																\					[0c3 8a6]
	my-args																		\					[202]
	" disk-label"																\					[012]
	$open-package																\					[20f]
	to label-package															\					[0c3 8a8]
	label-package																\					[8a8]
	if																			\ (0x1b)			[014]
		0																		\					[0a5]
		0																		\					[0a5]
		" offset"																\					[012]
		label-package															\					[8a8]
		$call-method															\					[20e]
		to offset-high															\					[0c3 8a7]
		to offset-low															\					[0c3 8a6]
		-1																		\					[0a4]
	else																		\ (0x26)			[013 0b2]
		." Can't open disk label package"										\					[012 090]
		cr																		\					[092]
		0																		\					[0a5]
	then																		\					[0b2]
	;																			\					[0c2]


: dma-alloc																		\ (8ab)				[0ca 0b7]
	" dma-alloc"																\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: dma-free																		\ (8ac)				[0ca 0b7]
	" dma-free"																	\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: block-size																	\ (8ad)				[0ca 0b7]
	/block																		\					[8a4]
	if																			\ (0x6)				[014]
		/block																	\					[8a4]
		exit																	\					[033]
	then																		\					[0b2]
	" block-size"																\					[012]
	$call-parent																\					[209]
	dup																			\					[047]
	to /block																	\					[0c3 8a4]
	;																			\					[0c2]


: #blocks																		\ (8ae)				[0ca 0b7]
	" #blocks"																	\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: max-transfer																	\ (8af)				[0ca 0b7]
	" max-transfer"																\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: read-blocks																	\ (8b0)				[0ca 0b7]
	" read-blocks"																\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: write-blocks																	\ (8b1)				[0ca 0b7]
	" write-blocks"																\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: open																			\ (8b2)				[0ca 0b7]
	my-unit																		\					[20d]
	dup																			\					[047]
	3																			\					[0a8]
	>																			\					[03b]
	if																			\ (0x6)				[014]
		2drop																	\					[052]
		0																		\					[0a5]
		exit																	\					[033]
	then																		\					[0b2]
	" set-address"																\					[012]
	$call-parent																\					[209]
	" ide-inquiry"																\					[012]
	$call-parent																\					[209]
	if																			\ (0x7)				[014]
		drop																	\					[046]
	else																		\ (0x6)				[013 0b2]
		0																		\					[0a5]
		exit																	\					[033]
	then																		\					[0b2]
	block-size																	\					[8ad]
	?dup																		\					[050]
	0=																			\					[034]
	if																			\ (0x5)				[014]
		0																		\					[0a5]
		exit																	\					[033]
	then																		\					[0b2]
	to /block																	\					[0c3 8a4]
	init-deblocker																\					[8a9]
	0=																			\					[034]
	if																			\ (0x5)				[014]
		0																		\					[0a5]
		exit																	\					[033]
	then																		\					[0b2]
	init-label-package															\					[8aa]
	0=																			\					[034]
	if																			\ (0x9)				[014]
		deblocker																\					[8a5]
		close-package															\					[206]
		0																		\					[0a5]
		exit																	\					[033]
	then																		\					[0b2]
	-1																			\					[0a4]
	;																			\					[0c2]


: close																			\ (8b3)				[0ca 0b7]
	label-package																\					[8a8]
	close-package																\					[206]
	deblocker																	\					[8a5]
	close-package																\					[206]
	;																			\					[0c2]


: seek																			\ (8b4)				[0ca 0b7]
	offset-low																	\					[8a6]
	offset-high																	\					[8a7]
	d+																			\					[0d8]
	" seek"																		\					[012]
	deblocker																	\					[8a5]
	$call-method																\					[20e]
	;																			\					[0c2]


: read																			\ (8b5)				[0ca 0b7]
	" read"																		\					[012]
	deblocker																	\					[8a5]
	$call-method																\					[20e]
	;																			\					[0c2]


: write																			\ (8b6)				[0ca 0b7]
	" write"																	\					[012]
	deblocker																	\					[8a5]
	$call-method																\					[20e]
	;																			\					[0c2]


: load																			\ (8b7)				[0ca 0b7]
	" load"																		\					[012]
	label-package																\					[8a8]
	$call-method																\					[20e]
	;																			\					[0c2]


: size																			\ (8b8)				[0ca 0b7]
	" size"																		\					[012]
	label-package																\					[8a8]
	$call-method																\					[20e]
	;																			\					[0c2]

finish-device																	\					[127]
finish-device																	\					[127]
new-device																		\					[11f]
1																				\					[0a6]
encode-int																		\					[111]
" #address-cells"																\					[012]
property																		\					[110]
0																				\					[0a5]
encode-int																		\					[111]
" #size-cells"																	\					[012]
property																		\					[110]
11																				\					[010]
encode-int																		\					[111]
" reg"																			\					[012]
property																		\					[110]
" FrmTk-1"																		\					[012]
device-name																		\					[201]
" ata"																			\					[012]
device-type																		\					[11a]
" UltraTek"																		\					[012]
encode-string																	\					[114]
" product-family"																\					[012]
property																		\					[110]
" PDC20269"																		\					[012]
encode-string																	\					[114]
" compatible"																	\					[012]
property																		\					[110]
1																				\					[0a6]
encode-int																		\					[111]
" ATA-Channel"																	\					[012]
property																		\					[110]

: write-blocks																	\ (8b9)				[0ca 0b7]
	" write-blocks"																\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: read-blocks																	\ (8ba)				[0ca 0b7]
	" read-blocks"																\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: max-transfer																	\ (8bb)				[0ca 0b7]
	" max-transfer"																\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: #blocks																		\ (8bc)				[0ca 0b7]
	" #blocks"																	\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: block-size																	\ (8bd)				[0ca 0b7]
	" block-size"																\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: dma-free																		\ (8be)				[0ca 0b7]
	" dma-free"																	\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: dma-alloc																		\ (8bf)				[0ca 0b7]
	" dma-alloc"																\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: ide-inquiry																	\ (8c0)				[0ca 0b7]
	" ide-inquiry"																\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: set-address																	\ (8c1)				[0ca 0b7]
	" ATA-Channel"																\					[012]
	get-my-property																\					[21a]
	drop																		\					[046]
	decode-int																	\					[21b]
	nip																			\					[04d]
	nip																			\					[04d]
	if																			\ (0x5)				[014]
		2+																		\					[0a7 01e]
	then																		\					[0b2]
	0																			\					[0a5]
	swap																		\					[049]
	" set-address"																\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: open																			\ (8c2)				[0ca 0b7]
	-1																			\					[0a4]
	;																			\					[0c2]


: close																			\ (8c3)				[0ca 0b7]
	;																			\					[0c2]


: decode-unit																	\ (8c4)				[0ca 0b7]
	base																		\					[0a0]
	@																			\					[06d]
	>r																			\					[030]
	hex																			\					[010 0a0 072]
	$number																		\					[0a2]
	if																			\ (0x4)				[014]
		0																		\					[0a5]
	then																		\					[0b2]
	r>																			\					[031]
	base																		\					[0a0]
	!																			\					[072]
	;																			\					[0c2]

new-device																		\					[11f]
" sd"																			\					[012]
device-name																		\					[201]
" block"																		\					[012]
device-type																		\					[11a]
0 instance value /block															\ (8c5 0)			[0a5 0c0 0ca 0b8]
0 instance value deblocker														\ (8c6 0)			[0a5 0c0 0ca 0b8]
0 instance value offset-low														\ (8c7 0)			[0a5 0c0 0ca 0b8]
0 instance value offset-high													\ (8c8 0)			[0a5 0c0 0ca 0b8]
0 instance value label-package													\ (8c9 0)			[0a5 0c0 0ca 0b8]

: init-deblocker																\ (8ca)				[0ca 0b7]
	" "																			\					[012]
	" deblocker"																\					[012]
	$open-package																\					[20f]
	to deblocker																\					[0c3 8c6]
	deblocker																	\					[8c6]
	if																			\ (0x7)				[014]
		-1																		\					[0a4]
	else																		\ (0x25)			[013 0b2]
		." Can't open deblocker package"										\					[012 090]
		cr																		\					[092]
		0																		\					[0a5]
	then																		\					[0b2]
	;																			\					[0c2]


: init-label-package															\ (8cb)				[0ca 0b7]
	0																			\					[0a5]
	to offset-high																\					[0c3 8c8]
	0																			\					[0a5]
	to offset-low																\					[0c3 8c7]
	my-args																		\					[202]
	" disk-label"																\					[012]
	$open-package																\					[20f]
	to label-package															\					[0c3 8c9]
	label-package																\					[8c9]
	if																			\ (0x1b)			[014]
		0																		\					[0a5]
		0																		\					[0a5]
		" offset"																\					[012]
		label-package															\					[8c9]
		$call-method															\					[20e]
		to offset-high															\					[0c3 8c8]
		to offset-low															\					[0c3 8c7]
		-1																		\					[0a4]
	else																		\ (0x26)			[013 0b2]
		." Can't open disk label package"										\					[012 090]
		cr																		\					[092]
		0																		\					[0a5]
	then																		\					[0b2]
	;																			\					[0c2]


: dma-alloc																		\ (8cc)				[0ca 0b7]
	" dma-alloc"																\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: dma-free																		\ (8cd)				[0ca 0b7]
	" dma-free"																	\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: block-size																	\ (8ce)				[0ca 0b7]
	/block																		\					[8c5]
	if																			\ (0x6)				[014]
		/block																	\					[8c5]
		exit																	\					[033]
	then																		\					[0b2]
	" block-size"																\					[012]
	$call-parent																\					[209]
	dup																			\					[047]
	to /block																	\					[0c3 8c5]
	;																			\					[0c2]


: #blocks																		\ (8cf)				[0ca 0b7]
	" #blocks"																	\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: max-transfer																	\ (8d0)				[0ca 0b7]
	" max-transfer"																\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: read-blocks																	\ (8d1)				[0ca 0b7]
	" read-blocks"																\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: write-blocks																	\ (8d2)				[0ca 0b7]
	" write-blocks"																\					[012]
	$call-parent																\					[209]
	;																			\					[0c2]


: open																			\ (8d3)				[0ca 0b7]
	my-unit																		\					[20d]
	dup																			\					[047]
	3																			\					[0a8]
	>																			\					[03b]
	if																			\ (0x6)				[014]
		2drop																	\					[052]
		0																		\					[0a5]
		exit																	\					[033]
	then																		\					[0b2]
	" set-address"																\					[012]
	$call-parent																\					[209]
	" ide-inquiry"																\					[012]
	$call-parent																\					[209]
	if																			\ (0x7)				[014]
		drop																	\					[046]
	else																		\ (0x6)				[013 0b2]
		0																		\					[0a5]
		exit																	\					[033]
	then																		\					[0b2]
	block-size																	\					[8ce]
	?dup																		\					[050]
	0=																			\					[034]
	if																			\ (0x5)				[014]
		0																		\					[0a5]
		exit																	\					[033]
	then																		\					[0b2]
	to /block																	\					[0c3 8c5]
	init-deblocker																\					[8ca]
	0=																			\					[034]
	if																			\ (0x5)				[014]
		0																		\					[0a5]
		exit																	\					[033]
	then																		\					[0b2]
	init-label-package															\					[8cb]
	0=																			\					[034]
	if																			\ (0x9)				[014]
		deblocker																\					[8c6]
		close-package															\					[206]
		0																		\					[0a5]
		exit																	\					[033]
	then																		\					[0b2]
	-1																			\					[0a4]
	;																			\					[0c2]


: close																			\ (8d4)				[0ca 0b7]
	label-package																\					[8c9]
	close-package																\					[206]
	deblocker																	\					[8c6]
	close-package																\					[206]
	;																			\					[0c2]


: seek																			\ (8d5)				[0ca 0b7]
	offset-low																	\					[8c7]
	offset-high																	\					[8c8]
	d+																			\					[0d8]
	" seek"																		\					[012]
	deblocker																	\					[8c6]
	$call-method																\					[20e]
	;																			\					[0c2]


: read																			\ (8d6)				[0ca 0b7]
	" read"																		\					[012]
	deblocker																	\					[8c6]
	$call-method																\					[20e]
	;																			\					[0c2]


: write																			\ (8d7)				[0ca 0b7]
	" write"																	\					[012]
	deblocker																	\					[8c6]
	$call-method																\					[20e]
	;																			\					[0c2]


: load																			\ (8d8)				[0ca 0b7]
	" load"																		\					[012]
	label-package																\					[8c9]
	$call-method																\					[20e]
	;																			\					[0c2]


: size																			\ (8d9)				[0ca 0b7]
	" size"																		\					[012]
	label-package																\					[8c9]
	$call-method																\					[20e]
	;																			\					[0c2]

finish-device																	\					[127]
finish-device																	\					[127]

headerless
0 value value_8da_0																\ (8da 0)			[0a5 0b5 0b8]
0 value value_8db_0																\ (8db 0)			[0a5 0b5 0b8]
0 value value_8dc_0																\ (8dc 0)			[0a5 0b5 0b8]
0 value value_8dd_0																\ (8dd 0)			[0a5 0b5 0b8]

: colon_definition_function_8de													\ (8de)				[0b5 0b7]
	2swap																		\					[055]
	begin																		\					[0b1]
		2over																	\					[054]
		2over																	\					[054]
		while																	\ (0x18)			[014]
			swap																\					[049]
			comp																\					[07a]
			0=																	\					[034]
			?dup																\					[050]
			if																	\ (0x8)				[014]
				>r																\					[030]
				2drop															\					[052]
				2drop															\					[052]
				r>																\					[031]
				exit															\					[033]
			then																\					[0b2]
			1-																	\					[0a6 01f]
			swap																\					[049]
			char+																\					[062]
			swap																\					[049]
	repeat																		\ (0xffffffe8)		[013 0b2]
	2drop																		\					[052]
	2drop																		\					[052]
	3drop																		\					[046 052]
	0																			\					[0a5]
	;																			\					[0c2]


: colon_definition_function_8df													\ (8df)				[0b5 0b7]
	2																			\					[0a7]
	roll																		\					[04f]
	2dup																		\					[053]
	+																			\					[01e]
	4																			\					[010]
	roll																		\					[04f]
	4																			\					[010]
	roll																		\					[04f]
	4																			\					[010]
	roll																		\					[04f]
	4																			\					[010]
	roll																		\					[04f]
	swap																		\					[049]
	2dup																		\					[053]
	+																			\					[01e]
	dup																			\					[047]
	alloc-mem																	\					[08b]
	to value_8dc_0																\ (8dc 0)			[0c3 8dc]
	value_8dc_0																	\ (8dc 0)			[8dc]
	erase																		\					[0a5 079]
	over																		\					[048]
	value_8dc_0																	\ (8dc 0)			[8dc]
	+																			\					[01e]
	3																			\					[0a8]
	roll																		\					[04f]
	swap																		\					[049]
	2																			\					[0a7]
	roll																		\					[04f]
	move																		\					[078]
	value_8dc_0																	\ (8dc 0)			[8dc]
	swap																		\					[049]
	move																		\					[078]
	value_8dc_0																	\ (8dc 0)			[8dc]
	swap																		\					[049]
	;																			\					[0c2]


: colon_definition_function_8e0													\ (8e0)				[0b5 0b7]
	3a																			\					[010]
	left-parse-string															\					[240]
	2drop																		\					[052]
	;																			\					[0c2]


: colon_definition_function_8e1													\ (8e1)				[0b5 0b7]
	3a																			\					[010]
	left-parse-string															\					[240]
	2swap																		\					[055]
	2drop																		\					[052]
	2dup																		\					[053]
	0																			\					[0a5]
	over																		\					[048]
	do																			\ (0x3b)			[017]
		swap																	\					[049]
		over																	\					[048]
		+																		\					[01e]
		dup																		\					[047]
		rb@																		\					[230]
		dup																		\					[047]
		2f																		\					[010]
		=																		\					[03c]
		if																		\ (0x9)				[014]
			2drop																\					[052]
			swap																\					[049]
			drop																\					[046]
			-1																	\					[0a4]
			unloop																\					[089]
			exit																\					[033]
		then																	\					[0b2]
		40																		\					[010]
		=																		\					[03c]
		if																		\ (0x11)			[014]
			dup																	\					[047]
			1+																	\					[0a6 01e]
			rb@																	\					[230]
			30																	\					[010]
			-																	\					[01f]
			to value_8dd_0														\ (8dd 0)			[0c3 8dd]
		then																	\					[0b2]
		drop																	\					[046]
		1-																		\					[0a6 01f]
		>r																		\					[030]
		over																	\					[048]
		r>																		\					[031]
		-1																		\					[0a4]
	+loop																		\ (0xffffffc9)		[016]
	2drop																		\					[052]
	2drop																		\					[052]
	0																			\					[0a5]
	;																			\					[0c2]


: colon_definition_function_8e2													\ (8e2)				[0b5 0b7]
	0																			\					[0a5]
	to value_8da_0																\ (8da 0)			[0c3 8da]
	0																			\					[0a5]
	to value_8db_0																\ (8db 0)			[0c3 8db]
	" /options"																	\					[012]
	find-package																\					[204]
	if																			\ (0x23)			[014]
		get-package-property													\					[21f]
		0=																		\					[034]
		if																		\ (0x17)			[014]
			decode-string														\					[21c]
			2swap																\					[055]
			2drop																\					[052]
			dup																	\					[047]
			to value_8db_0														\ (8db 0)			[0c3 8db]
			alloc-mem															\					[08b]
			dup																	\					[047]
			to value_8da_0														\ (8da 0)			[0c3 8da]
			value_8db_0															\ (8db 0)			[8db]
			move																\					[078]
			-1																	\					[0a4]
		else																	\ (0x5)				[013 0b2]
			0																	\					[0a5]
		then																	\					[0b2]
	else																		\ (0x6)				[013 0b2]
		2drop																	\					[052]
		0																		\					[0a5]
	then																		\					[0b2]
	;																			\					[0c2]


: colon_definition_function_8e3													\ (8e3)				[0b5 0b7]
	2dup																		\					[053]
	colon_definition_function_8e2												\ (8e2)				[8e2]
	0=																			\					[034]
	if																			\ (0x5)				[014]
		2drop																	\					[052]
		exit																	\					[033]
	then																		\					[0b2]
	value_8da_0																	\ (8da 0)			[8da]
	value_8db_0																	\ (8db 0)			[8db]
	" UltraTek"																	\					[012]
	colon_definition_function_8de												\ (8de)				[8de]
	0=																			\					[034]
	if																			\ (0x5)				[014]
		2drop																	\					[052]
		exit																	\					[033]
	then																		\					[0b2]
	value_8da_0																	\ (8da 0)			[8da]
	value_8db_0																	\ (8db 0)			[8db]
	" FrmTk-"																	\					[012]
	colon_definition_function_8de												\ (8de)				[8de]
	if																			\ (0x5)				[014]
		2drop																	\					[052]
		exit																	\					[033]
	then																		\					[0b2]
	value_8da_0																	\ (8da 0)			[8da]
	value_8db_0																	\ (8db 0)			[8db]
	colon_definition_function_8e1												\ (8e1)				[8e1]
	0=																			\					[034]
	if																			\ (0x5)				[014]
		2drop																	\					[052]
		exit																	\					[033]
	then																		\					[0b2]
	" /FrmTk-"																	\					[012]
	colon_definition_function_8df												\ (8df)				[8df]
	value_8dd_0																	\ (8dd 0)			[8dd]
	0																			\					[0a5]
	=																			\					[03c]
	if																			\ (0xa)				[014]
		" 0/@0:"																\					[012]
	then																		\					[0b2]
	value_8dd_0																	\ (8dd 0)			[8dd]
	1																			\					[0a6]
	=																			\					[03c]
	if																			\ (0xa)				[014]
		" 0/@1:"																\					[012]
	then																		\					[0b2]
	value_8dd_0																	\ (8dd 0)			[8dd]
	2																			\					[0a7]
	=																			\					[03c]
	if																			\ (0xa)				[014]
		" 1/@0:"																\					[012]
	then																		\					[0b2]
	value_8dd_0																	\ (8dd 0)			[8dd]
	3																			\					[0a8]
	>=																			\					[042]
	if																			\ (0xa)				[014]
		" 1/@1:"																\					[012]
	then																		\					[0b2]
	colon_definition_function_8df												\ (8df)				[8df]
	value_8da_0																	\ (8da 0)			[8da]
	value_8db_0																	\ (8db 0)			[8db]
	colon_definition_function_8e0												\ (8e0)				[8e0]
	colon_definition_function_8df												\ (8df)				[8df]
	encode-string																\					[114]
	2over																		\					[054]
	" $setenv"																	\					[012]
	evaluate																	\					[0cd]
	2drop																		\					[052]
	;																			\					[0c2]


: colon_definition_function_8e4													\ (8e4)				[0b5 0b7]
	" boot-device"																\					[012]
	colon_definition_function_8e3												\ (8e3)				[8e3]
	" boot-command"																\					[012]
	colon_definition_function_8e3												\ (8e3)				[8e3]
	" boot-file"																\					[012]
	colon_definition_function_8e3												\ (8e3)				[8e3]
	;																			\					[0c2]

colon_definition_function_8e4																		[110]
" UltraTek Firmware by FirmTek LLC, 2001. You may not alter or reverse engineer this product."	\					[012]
encode-bytes																	\					[115]
" Copyright"																	\					[012]
property																		\					[110]
" Authors:  Nguyen Kim Chi, Rath Gyoergy."										\					[012]
encode-bytes																	\					[115]
" Authors"																		\					[012]
property																		\					[110]
" Szerzoek: Nguyen Kim Chi, Rath Gyoergy."										\					[012]
encode-bytes																	\					[115]
" Szerzoek"																		\					[012]
property																		\					[110]
" 10/23/02"																		\					[012]
encode-string																	\					[114]
" release-date"																	\					[012]
property																		\					[110]
" 12:33:03"																		\					[012]
encode-string																	\					[114]
" release-time"																	\					[012]
property																		\					[110]
" 3.5.0"																		\					[012]
encode-bytes																	\					[115]
" Rom#"																			\					[012]
property																		\					[110]
" 3.5.0"																		\					[012]
encode-string																	\					[114]
" rom-revision"																	\					[012]
property																		\					[110]



fcode-end

pci-end




fcode-end

